Name: kernel-image-ovz-smp
Version: 2.6.18
Release: alt24

%define kernel_base_version	%version
%define kernel_extra_version	%nil
# Numeric extra version scheme developed by Alexander Bokovoy:
# 0.0.X -- preX
# 0.X.0 -- rcX
# 1.0.0 -- release
%define kernel_extra_version_numeric 1.0.0

%define krelease	%release

%define flavour		%( s='%name'; printf %%s "${s#kernel-image-}" )
%define base_flavour	%( s='%flavour'; printf %%s "${s%%%%-*}" )
%define sub_flavour	%( s='%flavour'; printf %%s "${s#*-}" )

# Build options
# You can change compiler version by editing this line:
%define kgcc_version	4.1

# Enable/disable SGML docs formatting
%def_disable docs

## Don't edit below this line ##################################

%define kversion	%kernel_base_version%kernel_extra_version
%define modules_dir	/lib/modules/%kversion-%flavour-%krelease

%define kheaders_dir	%_prefix/include/linux-%kversion-%flavour
%define kbuild_dir	%_prefix/src/linux-%kversion-%flavour-%krelease
%define old_kbuild_dir	%_prefix/src/linux-%kversion-%flavour

Summary: The Linux kernel (the core of the Linux operating system)
License: GPL
Group: System/Kernel and hardware
Url: http://www.kernel.org/
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

Patch0: %name-%version-%release.patch

ExclusiveArch: i586 x86_64

ExclusiveOS: Linux

BuildRequires: dev86 flex
BuildRequires: libdb4-devel
BuildRequires: gcc%kgcc_version
BuildRequires: kernel-source-%kernel_base_version = %kernel_extra_version_numeric
BuildRequires: kernel-build-tools >= 0.8, module-init-tools >= 3.1

%if_enabled docs
BuildRequires: xmlto transfig ghostscript
%endif

%if_enabled ccache
BuildRequires: ccache
%endif

%ifdef use_ccache
BuildRequires: ccache
%endif

Requires: bootloader-utils >= 0.3-alt1
Requires: module-init-tools >= 3.1
Requires: mkinitrd >= 1:2.9.9-alt1
Requires: startup >= 0.8.3-alt1

Provides: kernel = %kversion

Prereq: coreutils
Prereq: module-init-tools >= 3.1
Prereq: mkinitrd >= 1:2.9.9-alt1

%description
This package contains the Linux kernel that is used to boot and run
your system.

The "ovz" variant of kernel packages is an OpenVZ kernel.

Most hardware drivers for this kernel are built as modules.  Some of
these drivers are built separately from the kernel; they are available
in separate packages (kernel-modules-*-%flavour).

%package -n kernel-modules-oss-%flavour
Summary: OSS sound driver modules (obsolete)
Group: System/Kernel and hardware
Provides:  kernel-modules-oss-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-oss-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-oss-%kversion-%flavour-%krelease > %version-%release
Prereq: coreutils
Prereq: module-init-tools >= 3.1
Prereq: %name = %version-%release
Requires(postun): %name = %version-%release

%description -n kernel-modules-oss-%flavour
This package contains OSS sound driver modules for the Linux kernel
package %name-%version-%release.

These drivers are declared obsolete by the kernel maintainers; ALSA
drivers should be used instead.  However, the older OSS drivers may be
still useful for some hardware, if the corresponding ALSA drivers do
not work well.

Install this package only if you really need it.

%package -n kernel-headers-%flavour
Summary: Header files for the Linux kernel
Group: System/Kernel and hardware
Requires: kernel-headers-common >= 1.1.5
Provides: kernel-headers = %version
Provides: kernel-headers-%base_flavour = %version-%release

%description -n kernel-headers-%flavour
This package makes Linux kernel headers corresponding to the Linux
kernel package %name-%version-%release available for building
userspace programs (if this version of headers is selected by
adjust_kernel_headers).

Note that such usage of kernel headers in userspace is not supported
by the upstream kernel maintainers and often breaks compilation.
Therefore installing and using this package is not recommended.

%package -n kernel-headers-modules-%flavour
Summary: Headers and other files needed for building kernel modules
Group: System/Kernel and hardware
Requires: gcc%kgcc_version

%description -n kernel-headers-modules-%flavour
This package contains header files, Makefiles and other parts of the
Linux kernel build system which are needed to build kernel modules for
the Linux kernel package %name-%version-%release.

If you need to compile a third-party kernel module for the Linux
kernel package %name-%version-%release, install this package
and specify %kbuild_dir as the kernel source
directory.

%package -n kernel-doc-%base_flavour
Summary: Linux kernel %kversion-%base_flavour documentation
Group: System/Kernel and hardware

%description -n kernel-doc-%base_flavour
This package contains documentation files for ALT Linux kernel packages:
 * kernel-image-%base_flavour-up-%kversion-%krelease
 * kernel-image-%base_flavour-smp-%kversion-%krelease

The documentation files contained in this package may be different
from the similar files in upstream kernel distributions, because some
patches applied to the corresponding kernel packages may change things
in the kernel and update the documentation to reflect these changes.

%prep
%setup -cT -n kernel-image-%flavour-%kversion-%krelease
rm -rf kernel-source-%kernel_base_version
tar -jxf %kernel_src/kernel-source-%kernel_base_version.tar.bz2
%setup -D -T -n kernel-image-%flavour-%kversion-%krelease/kernel-source-%kernel_base_version
%patch0 -p1

# this file should be usable both with make and sh (for broken modules
# which do not use the kernel makefile system)
echo 'export GCC_VERSION=%kgcc_version' > gcc_version.inc

subst 's/EXTRAVERSION[[:space:]]*=.*/EXTRAVERSION = %kernel_extra_version-%flavour-%krelease/g' Makefile
subst 's/CC.*$(CROSS_COMPILE)gcc/CC         := $(shell echo $${GCC_USE_CCACHE:+ccache}) gcc-%kgcc_version/g' Makefile

# get rid of unwanted files resulting from patch fuzz
find . -name "*.orig" -delete -or -name "*~" -delete

%build
export ARCH=%base_arch
KernelVer=%kversion-%flavour-%krelease

echo "Building Kernel $KernelVer"

%make_build mrproper

cp -vf config-%_target_cpu .config

%make_build oldconfig
%make_build include/linux/version.h
%make_build bzImage
%make_build modules

echo "Kernel built $KernelVer"

%if_enabled docs
# psdocs, pdfdocs don't work yet
%make_build htmldocs
%endif

%install
export ARCH=%base_arch
KernelVer=%kversion-%flavour-%krelease

install -Dp -m644 System.map %buildroot/boot/System.map-$KernelVer
install -Dp -m644 arch/%base_arch/boot/bzImage \
	%buildroot/boot/vmlinuz-$KernelVer
install -Dp -m644 .config %buildroot/boot/config-$KernelVer

make modules_install INSTALL_MOD_PATH=%buildroot

install -d %buildroot%kbuild_dir
cp -a include %buildroot%kbuild_dir/include

# remove asm-* include files for other architectures
pushd %buildroot%kbuild_dir/include
for dir in asm-*; do
	[ "$dir" = "asm-generic" ] && continue
	[ "$dir" = "asm-%base_arch" ] && continue
%ifarch x86_64
	[ "$dir" = "asm-i386" ] && continue
%endif
	rm -rf -- "$dir"
done
popd

# drivers-headers install
install -d %buildroot%kbuild_dir/drivers/scsi
install -d %buildroot%kbuild_dir/drivers/char/drm
install -d %buildroot%kbuild_dir/drivers/md
install -d %buildroot%kbuild_dir/drivers/media/dvb/dvb-core
install -d %buildroot%kbuild_dir/drivers/media/video/{bt8xx,cx88,saa7134}
install -d %buildroot%kbuild_dir/drivers/usb/core
cp -a drivers/scsi/{{scsi,hosts,scsi_typedefs}.h,scsi_module.c} \
	%buildroot%kbuild_dir/drivers/scsi/
cp -a drivers/char/drm/{drm,drm_os_linux,drmP}.h \
	%buildroot%kbuild_dir/drivers/char/drm/
cp -a drivers/md/dm*.h \
	%buildroot%kbuild_dir/drivers/md/
cp -a drivers/media/dvb/dvb-core/*.h \
	%buildroot%kbuild_dir/drivers/media/dvb/dvb-core/
cp -a drivers/media/video/btcx-risc.h \
	%buildroot%kbuild_dir/drivers/media/video/
cp -a drivers/media/video/bt8xx/{bt848,bttv,bttvp}.h \
	%buildroot%kbuild_dir/drivers/media/video/bt8xx/
cp -a drivers/media/video/cx88/{cx88,cx88-reg}.h \
	%buildroot%kbuild_dir/drivers/media/video/cx88/
cp -a drivers/media/video/saa7134/{saa7134,saa7134-reg}.h \
	%buildroot%kbuild_dir/drivers/media/video/saa7134/
cp -a drivers/usb/core/*.h \
	%buildroot%kbuild_dir/drivers/usb/core/

# Install files required for building external modules (in addition to headers)
KbuildFiles="
	Makefile
	Module.symvers
	arch/%base_arch/Makefile
	arch/%base_arch/Makefile.cpu

	scripts/pnmtologo
	scripts/mod/modpost
	scripts/mkmakefile
	scripts/mkversion
	scripts/mod/mk_elfconfig
	scripts/kconfig/conf
	scripts/mkcompile_h
	scripts/makelst
	scripts/Makefile.modpost
	scripts/Makefile.modinst
	scripts/Makefile.lib
	scripts/Makefile.host
	scripts/Makefile.clean
	scripts/Makefile.build
	scripts/Makefile
	scripts/Kbuild.include
	scripts/kallsyms
	scripts/genksyms/genksyms
	scripts/basic/fixdep
	scripts/extract-ikconfig
	scripts/conmakehash
	scripts/checkversion.pl
	scripts/checkincludes.pl
	scripts/checkconfig.pl
	scripts/bin2c
	scripts/gcc-version.sh

	.config
	.kernelrelease
	gcc_version.inc
"
for f in $KbuildFiles; do
	[ -e "$f" ] || continue
	[ -x "$f" ] && mode=755 || mode=644
	install -Dp -m$mode "$f" %buildroot%kbuild_dir/"$f"
done

# Fix symlinks to kernel sources in /lib/modules
rm -f %buildroot%modules_dir/{build,source}
ln -s %kbuild_dir %buildroot%modules_dir/build

# Provide kbuild directory with old name (without %%krelease)
ln -s "$(relative %kbuild_dir %old_kbuild_dir)" %buildroot%old_kbuild_dir

# Provide kernel headers for userspace
make headers_install INSTALL_HDR_PATH=%buildroot%kheaders_dir

# install documentation
%if_enabled docs
install -d %buildroot%_docdir/kernel-doc-%base_flavour-%version/
cp -a Documentation/* %buildroot%_docdir/kernel-doc-%base_flavour-%version/
find %buildroot%_docdir/kernel-doc-%base_flavour-%version/DocBook \
	-maxdepth 1 -type f -not -name '*.html' -delete
%endif # if_enabled docs

%post
%post_kernel_image %kversion-%flavour-%krelease

%preun
%preun_kernel_image %kversion-%flavour-%krelease

%post -n kernel-modules-oss-%flavour
%post_kernel_modules %kversion-%flavour-%krelease

%postun -n kernel-modules-oss-%flavour
%postun_kernel_modules %kversion-%flavour-%krelease

%post -n kernel-headers-%flavour
%post_kernel_headers %kversion-%flavour-%krelease

%postun -n kernel-headers-%flavour
%postun_kernel_headers %kversion-%flavour-%krelease

%files
/boot/vmlinuz-%kversion-%flavour-%krelease
/boot/System.map-%kversion-%flavour-%krelease
/boot/config-%kversion-%flavour-%krelease
%modules_dir
%exclude %modules_dir/build

# OSS drivers
%exclude %modules_dir/kernel/sound/oss
%ifarch %ix86
%exclude %modules_dir/kernel/drivers/media/radio/miropcm20.ko
%exclude %modules_dir/kernel/drivers/media/radio/miropcm20-rds.ko
%endif

%files -n kernel-modules-oss-%flavour
%modules_dir/kernel/sound/oss
%ifarch %ix86
%modules_dir/kernel/drivers/media/radio/miropcm20.ko
%modules_dir/kernel/drivers/media/radio/miropcm20-rds.ko
%endif

%files -n kernel-headers-%flavour
%kheaders_dir

%files -n kernel-headers-modules-%flavour
%kbuild_dir
%old_kbuild_dir
%dir %modules_dir
%modules_dir/build

%if_enabled docs
%files -n kernel-doc-%base_flavour
%doc %_docdir/kernel-doc-%base_flavour-%version
%endif

%changelog
* Tue May 06 2008 Michail Yakushin <silicium@altlinux.ru> 2.6.18-alt24
- CVE-2008-1669: add rcu_read_lock()  to fs/locks.c and fix fcntl store/load
- CVE-2008-1375: Race condition in the directory notification subsystem (dnotify)
- CVE-2008-1294: does not check when a user attempts to set RLIMIT_CPU to 0
- update to std-smp-alt12.M40.1

* Mon Feb 25 2008 Dmitry V. Levin <ldv@altlinux.org> 2.6.18-alt23
- Merged branches from std-smp-2.6.18-alt12:
  + fix-core--headers
  + fix-net--ip
  + fix-core--cpuset
  + fix-core--kernel
  + fix-net--core
  + fix-core--mm
  + feat-drivers-hwmon--abituguru3

* Mon Feb 11 2008 L.A. Kostis <lakostis@altlinux.org> 2.6.18-alt22
- Security related changed from std-smp-2.6.18-alt12:
  + CVE-2008-0600: splice: fix user pointer access in get_iovec_page_array()
  + check iovec buffers in __bio_map_user_iov() (fixes issue with SG_IO)
  + guard against attempts to call get_user_pages() for 0 pages

* Sat Jan 19 2008 L.A. Kostis <lakostis@altlinux.org> 2.6.18-alt21
- Updated to OpenVZ 028stab53.4 patch:
  - Checkpointing:
    + add support for network statistics
    + enhance support of veth device
    + add support for netdevice hardware addresses 
    + ugly struts to migrate 64bit ipc limits
    + rename VE -> CT (container) in user visible messages
    + clone kernel threads for exec() with CLONE_VFORK
    + be carefull with MXCSR register on restore
    + set correct context on socket close
  - Fairsched:
    + fix FSCH_TIMESLICE according to VCPU_TIMESLICE 
    + requires timer ints even with NOHZ
  - Network:
    + enhance "time wait bucket table overflow" message
    + xt_MARK compat cleanup
    + xt_CONNMARK compat cleanup
  - UBC:
    + enhance orphan socket warnings Messages like 
      "Out of socket memory"
  - VE:
    + ipt_hashlimit virtualization 
    + rename VE -> CT (container) in user visible messages 

* Wed Jan 16 2008 L.A. Kostis <lakostis@altlinux.org> 2.6.18-alt20
- New maintance release:
+ Sync with std-smp-2.6.18-alt11
+ Security related fix:
  + CVE-2008-0001: fix access mode check for directories and RO filesystems

* Sat Jan 05 2008 L.A. Kostis <lakostis@altlinux.ru> 2.6.18-alt19
- Add e1000e network driver
- Forcedeth network driver fixes:
  + forcedeth boot delay fix
- Squashfs filesystem changes:
  + update to 3.3 version for 2.6.18
- Sync with std-smp-2.6.18-alt10:
  - disable hwmon (VCPU changes must be reviewed)
- .spec changes: don't remove asm-i386 on x86_64 (due some common files)
- Updated to 028stab051 OpenVZ patch:
  + Security related: wait_task_stopped: Check p->exit_state instead of TASK_TRACED (CVE-2007-5500)
  - Arch changes:
    + set PER_LINUX32 personality when restoring 32bit app on 64bit OS 
    + x86-64: Fix ENOSYS in system call tracing
  - Checkpointing:
    + CPT: improve dst capabilities checks 
    + TUN/TAP support in checkpointing
    + fix compilation in case CONFIG_VE_IPTABLES=n
  - cifs filesystem:
    + fix bad handling of EAGAIN error on kernel_recvmsg in cifs_demultiplex_thread
  - proc filesystem:
    + proc: don't update /proc file permissions when not needed
  - simfs filesystem:
    + simfs: fix statfs() in case of HUGE limits
  - Network subsystem:
    + NFS: lockd has unclosed sockets when stopping VE 
    + netfilter: fix compats compilation on ppc
    + netfilter: add ipt_hashlimit 32bit compat
    + netfilter: add xt_conntrack 32bit compat
    + netfilter: add xt_connmark 32bit compat
    + netfilter: add xt_mark 32bit compat
    + netfilter: add xt_CONNMARK 32bit compat
    + netfilter: add xt_MARK 32bit compat
    + ip_tables: fix compat related crash
  - NMI changes:
    + Alt-sysrq-p: do synchronous NMI IPI 
    + fix oops in dump_trace() in NMI 
  - Scheduler changes:
    + fairsched: fixup per-VE nrrunning/nrunint stats on VCPU add/del
    + fairsched: increase max VCPU timeslice
    + ioacct: don't mangle VE0 statistics
    + taskstats: consider the pid, coming from the user-space to be a virtual one 
  - VE subsystem:
    + virtualize ipt_recent
    + fix ip_conntrack compilation in case CONFIG_VE_IPTABLES=n
    + fix fib rules insert to empty list
    + mark venet as vlan-incapable
    + introduce OVZ version in oops output and in /proc/vz/version
    + restore back find_task_by_pid() for ATI video driver
  - VM subsystem:
    + OOM if swap is full even for GFP_NOFS allocation

* Sun Nov 04 2007 L.A. Kostis <lakostis@altlinux.ru> 2.6.18-alt18
- Update modules.build: add et131x
- Updated to OpenVZ 028stab048 patch:
  + revert all grsecurity changes (as very bloated and not needed)
  - Checkpointing:
    + CPT: fix restore of process start time
    + don't mmap zero pages for /dev/zero in advance
    + [CPT] checkpoint sysv msg queues (Allows to live migrate DB2)
    + ia64: fix kernel thread exit code
  - Drivers:
    + synclink_gt: fix init error handling
  - Filesystem:
    + mangle devname in /proc/mounts only for OVZ specific simfs
  - NMI:
    + fix bust_spinlocks() race when doing Alt-SysRq-P via NMI IPI
    + fix dump_trace() when called from NMI
  - Sound:
    + hide global /proc/asound entry from VE
  - VM subsystem:
    + fixes for OOM

* Sat Oct 06 2007 L.A. Kostis <lakostis@altlinux.ru> 2.6.18-alt17
- Update modules.build.
- Enable NAPI for forcedeth network driver.
- Updated to OpenVZ 028stab045 patch:
  - Beancounters:
    + BC: /proc/bc fix for many sub-dirs case
    + BC: account fib rules to kmemsize
    + BC: fix leak in /proc due to usage of seq_release
    + BC: fix missed optimization in sys_select()
    + BC: fix unaliagned access on ia64
    + BC: set correct ub context in netlink processing
    + UBC: add CFQ ioprio exports for CONFIG_IOSCHED_CFQ=m case
    + UBC: missed wakup on one ub refill path
  - Checkpointing:
    + CPT: checkpointing inotify interface
    + CPT: core changes to allow checkpointing inotify interface
    + CPT: correct beancounters comparison
    + CPT: correct handling of lock fd error codes
    + CPT: fix LDT pages leak with 4GB split
    + CPT: lock fd close correct error handling
 - NFS/VENET/NET fixes:
    + NFS: nfs handling on VE stop fix
    + VENET: allow rmmod even if VE0 venet is UP
    + VENET/VETH: add ethtool support
    + NET: allow SIOCSIFFLAGS in dev_ioctl()
    + bonding: Fix 802.3ad no carrier on "no partner found" instance
    + [IPV6]: /proc/net/anycast6 unbalanced inet6_dev refcnt
    + [ATM] he: Fix __init/__devinit conflict
 - VE fixes:
    + VE: add net_class_attributes to veth device
    + VE: fix loopback statistics
    + VE: nfs operations on VE being shutdown still oops
    + VE: [FS]: disable O_DIRECT by default inside VE
 - VZ Quota fixes:
    + VZDQ: add force quota off option
    + VZDQ: recalculate olddir quota info on rename
    + VZDQ: report busy dentries on quota off
    + VZDQ: report busy dentries on vzquota on
 - Security:
    + Reset current->pdeath_signal on SUID binary execution (CVE-2007-3848)
 - Scheduler/ipmi fixes. 

* Tue Sep 25 2007 L.A. Kostis <lakostis@altlinux.org> 2.6.18-alt16
- Sync with kernel-image-std-smp-2.6.18-alt8
- Update .spec for new headers (dvb/media/usb)
- Add atl2 module to modules.build
- Add r8168 module to modules.build
- Add lost fixes:
  + fix-net-core (adopt for OpenVZ changes)
  + fix-net--packet
  + fix-net--decnet
  + fix-net--appletalk
  + fix-core--cpu-hotplug
- Network drivers updates:
  + forcedeth: mac address correct
  + forcedeth: mcp73 device addition
  + forcedeth bug fix: realtek phy
  + forcedeth bug fix: vitesse phy
  + forcedeth bug fix: cicada phy
  + forcedeth: use unicast receive mode for WoL
  + forcedeth: fix cpu irq mask
  + forcedeth: fix tx timeout
  + forcedeth: fix checksum feature in mcp65
  + forcedeth: disable msix
  + forcedeth: statistics supported
  + forcedeth: add support for new mcp67 device
  + forcedeth: tx max work
  + forcedeth: irq data path optimization
  + forcedeth: rx data path optimization
  + forcedeth: tx data path optimization
  + forcedeth: tx limiting
  + forcedeth: rx skb recycle
  + forcedeth: tx locking
  + forcedeth: ring access
  + forcedeth: dma access
  + forcedeth: sideband management fix
  + forcedeth: modified comment header
  + forcedeth: add recoverable error support
  + forcedeth: add mgmt unit support
  + forcedeth: power management support
  + forcedeth: hardirq lockdep warning
  + forcedeth: fix possible NULL ptr deref in forcedeth
  + forcedeth: decouple vlan and rx checksum dependency
  + forcedeth: errata for marvell phys
  + forcedeth: revised NAPI support
  + forcedeth: mac address corrected
  + forcedeth: move mac address setup/teardown
  + tg3: Fix suspend/resume problem.
  + tg3: Fix msi issue with kexec/kdump.
  + tg3: Update version to 3.78.
  + tg3: Add missing NVRAM strapping.
  + tg3: Enable auto MDI.
  + tg3: Fix the polarity bit.
  + tg3: Fix irq_sync race condition.
  + tg3: Fix link problem on Dell's onboard 5906.
  + tg3: Eliminate spurious interrupts.
  + tg3: Add ASPM workaround.
  + tg3: Add TG3_FLAG_SUPPORT_MSI flag.
  + tg3: Eliminate the TG3_FLAG_5701_REG_WRITE_BUG flag.
  + tg3: Eliminate the TG3_FLAG_GOT_SERDES_FLOWCTL flag.
  + tg3: Remove reset during MAC address changes.
  + tg3: WoL fixes.
  + tg3: Clear GPIO mask before storing.
  + tg3: Improve NVRAM sizing.
  + tg3: Fix crash during tg3_init_one().
  + tg3: Exit irq handler during chip reset.
  + tg3: Eliminate the unused TG3_FLAG_SPLIT_MODE flag.
  + tg3: TSO workaround fixes.
  + tg3: Add some tx timeout debug messages.
  + tg3: Use constant for PHY register 0x1e.
  + tg3: Power down 5704 serdes transceiver when shutting down.
  + tg3: 5906 doesn't need to switch to slower clock.
  + tg3: 5722/5756 don't need PHY jitter workaround.
  + tg3: Use lower DMA watermark for 5703.
  + tg3: Save MSI state before suspend.
  + skge: transmit locking improvements
  + skge: turn carrier off when down
  + skge: mask irqs when device down
  + skge: deadlock on tx timeout
  + skge: set mac address bonding fix
  + skge: fix transmitter flow control
  + skge: race with workq and RTNL
  + skge: handle zero address at open
  + skge: don't clear MC state on link down
  + skge: version 1.9
  + skge: better flow control negotiation
  + skge: pause mapping for fiber
  + skge: fix stuck irq when fiber down
  + skge: fiber support
  + skge: check for PCI hotplug during IRQ
  + skge: use NAPI for transmit complete
  + skge: irq lock race
  + skge: use netdev_alloc_skb
  + skge: use ethX for irq assigments
  + skge: use dev_alloc_skb
  + skge: pci bus post fixes
  + skge: cleanup suspend/resume code
- MMC/SD driver fixes:
  + mmc: Fix ENE CB712/4 card readers support
  + mmc: Power quirk for ENE controllers
  + mmc: Change SDHCI iomem error to a warning
  + mmc: sdhci high speed support
- Input driver fixes:
  + Input: i8042 - fix AUX port detection with some chips

* Fri Aug 03 2007 L.A. Kostis <lakostis@altlinux.ru> 2.6.18-alt15
- Sync with kernel-image-std-smp-2.6.18-alt6.5
- Updated to OpenVZ 028stab039 patch:
  Fixes:
  + BC: fix several issues in /proc/bc
  + BC: aidband - uncharge UB pages before charging to PB
  + BC: recharge vma if vm_flags changed after ->mmap() call
  + initialize ve0.op_sem earlier
  + CBQ: fix unfairness when gettimeofday clock source is used
  + venet: compilation warning fix
  + net: allow ethtool ops inside VE
  + IPC: fix potential user leak
  + scsi: megaraid_{mm,mbox}: 64-bit DMA capability fix
  + allow kthreads by default in VE (for NFS)
  + net: excessive UDP lost on VE send path
  + small fix to compile kernel without VCPU support
  + swiotlb: add missing phys_to_virt() call
  + VE: sys_getpgid/sid should depend on context
  + various NFS fixes (see OpenVZ upstream #513)
  Features:
  + Add exports for IPv6 compilation with new security checks
  + New network family/protocol security check scheme

* Fri Jul 06 2007 L.A. Kostis <lakostis@altlinux.ru> 2.6.18-alt14.9
- Sync with kernel-image-std-smp-alt6.4.
- Updated to OpenVZ 028stab037 patch:
  Fixes:
   + Fix iowait stats in VE0
   + Fix powerpc compilation which was broken in 2.6.18.8
   + [PATCH] seqfile: bash can hang in a loop reading from proc file
   + [VE] rename local macro ADDR() to avoid conflict with Xen
   + [VZDQ] Fix GFP_KERNEL allocation under spin lock in vzdq_aquot_buildmntlist
   + disable OOM_DISABLE inside VE
   + autofs4: compat layer for x8664
   + ext3: lost brelse in ext3_read_inode()
   + ext3: orphan list corruption on bad inodes
   + ext3: orphan list corruption on bad inodes (v2)
   + jbd: remove_transaction fix
   + fairsched: fix VCPU info in show regs on x86-64
   + fix various misprints (ip_nat and lockdep)
   + mmap returns EINVAL if len==0
   + proc: remove pathetic ->deleted WARN_ON
   + proc: brown paper bag bug in proc's ->setattr
   + reiserfs: fix key decrementing
   + rename vcpu_info to vcpu_struct due to conflict with Xen
   + sched: fix up fairsched tick duration according to VCPU timeslice
   + sparc64: fix SBUS compilation
   + syslog: fix LTP failure in case of wrong args
   + ubc: fix compilation with CONFIG_UBC_DEBUG_IO=y
   + [VZDQ] forced accounting for vzquota
   + [VZDQ] Fix GFP_KERNEL allocation under spin lock in vzdq_aquot_buildmntlist
   + [VZDQ] Trivial fix for vzaquota.group lookup
   + [VZDQ] sb->put_super can be NULL in valid cases
   + [SYSRQ] show correct sysrq help message.
   + PI futex fixes in CPT and mainstream code
   + vmalloc info during OOM locking
   Checkpointing:
   + CPT: remove killing of external processes
   + CPT: ignore user signals in kernel threads
   + CPT: check ctx->file for NULL
   + CPT: check if ip_tables are enabled before dumping them
   + CPT: checkpoint inodes with deleted reference
   + CPT: fix kernel_thread error code checks
   + CPT: fix potential pid leak
   + CPT: restore deleted files (hardlink case)
   + [CPT] Fix possible deadlock in checkpointing of mm
   + [CPT] handle killed system processes during checkpointing
   + [CPT] namespace semaphore possible deadlock
   + [CPT][IA64] NaT fixes
   + [CPT][IA64] some prctl flags are forgotten
   + [CPT] prevent changes of VM after VE was checkpointed
   + [CPT] 2.6.9 <-> 2.6.18 features mask compatibility issue
   NFS:
   + Fix NFS client hard reset: split cl_dead flag
   + nfs: AB-BA deadlock on rpc_sched_lock/queue->lock locks
   + nfs: fix req refcnt leak preventing umount
   + nfs: oops during LTP over NFS (direct io)
   + NFS: Fix race in nfs_release_page()
   + Fix NFS client hard reset: split cl_dead flag
   + fix NFS auto-umount timeout sysctl
   + [NFS] shutdown NFS properly if hanged
   Beancounters:
   + [BC] ioprio: BC slice scaling fix
   + [BC] ioprio: range of ioprios were checked incorrectly
   + [BC] dcache: drain alien caches on nodes on dcache acct on
   + [BC] dcache: pass correct node number to kmem_cache_free_block()
   Networking:
   + netfilter: wrong debug assertion in nat code
   + netfilter: skb struct doesn't have nf_debug anymore
   + venet: lots of spaces in /proc/vz/veinfo output
   + [BRIDGE]: adding new device to bridge should enable if up
   + bridge: race between br_del_if() and port_carrier_check()
   + IPv6 routing headers issue
   + IPv6: ipv6_fl_socklist is inadvertently shared
   + [NETFILTER]: {ip,nf}_conntrack_sctp: fix remotely triggerable NULL ptr dereference
   + [NET]: "wrong timeout value" in sk_wait_data() v2
   + e1000: irq registration after adapter initialization
   + ebtables: ebtables_among fails on check() on x86-64
  Features:
   + [PATCH] sysctl: add VE capability boundary set sysctl
   + [SCHED] optimization: dynamic vcpu_timeslice
   + [PATCH] dcache shrink optimizations (from mainstream)
   + [BC] dcache: new style of array_cache entries access
   + [BC] rework /proc/bc code
   + Add NFS timeout handle for TCP transport
   + [NFS] virtualize NLM hosts cache
   + [VE] unalias IPv6 iptables bit mask from IPv4

* Fri May 18 2007 L.A. Kostis <lakostis@altlinux.ru> 2.6.18-alt14.1
- 2th try fix for http://bugzilla.openvz.org/show_bug.cgi?id=469

* Sun Apr 29 2007 L.A. Kostis <lakostis@altlinux.ru> 2.6.18-alt14
- Merged with vsu@ 2.6.18-std-smp-alt6
- Updated to OpenVZ 028stab031 patch:
  Fixes:
   + Invalid return value of execve() resulting in oopses (mainstream)
   + Make speedstep centrino cpufreq driver use wr/rdmsr_on_cpu()
   + TASK_IO_ACCOUNTING breaks menu config
   + [BC] Leak of privvmpages on zero page maps
   + [BC] compilation fix with CONFIG_USER_RESOURCE=n
   + [CPT] retry checkpointing if VE has active netlink callback
   + [CPT] thread groups with exited leader did not migrate
   + [CPT] tux is missing on vanilla kernels
   + [IOPRIO] Oops on IO-prioritization disabling
   + [IOPRIO] forced dispatching when CONFIG_UBC_IO_PRIO off
   + [NETLINK] VE netlink message should go into VE log
   + [NETLINK] netlink lookup recursion fix
   + [NETLINK] stack overflow in netlink (mainstream)
   + [SCHED] Select some vcpu instead of idle even if all vcpus are hot
   + [TUN] prohibit tun persistent mode inside VE
   + [VZDQ] prohibit chown of a file if owner doesn't have ugid struct
   + loopback: oops on loopback mount/umount (mainstream)
   + modification of allow merge policy in cfq (mainstream)
  Features:
   + [MEMINFO] sysctl for selecting UsedMem source
- Fixed bugs reported by ALT Team:
   + http://bugzilla.openvz.org/show_bug.cgi?id=423 (fix speedstep-centrino)
   + http://bugzilla.openvz.org/show_bug.cgi?id=467 (fix speedstep-centrino)
   + http://bugzilla.openvz.org/show_bug.cgi?id=469
   + http://bugzilla.openvz.org/show_bug.cgi?id=543

* Thu Apr 05 2007 LAKostis <lakostis at altlinux.org> 2.6.18-alt13
- Update drivers/net/r8169:
  + fix a race between PCI probe and dev_open
  + revert bogus BMCR reset (fix autoneg)
- Update drivers/scsi/ahci:
  + workaround for SB600 SATA internal error issue 
- Fix merge with std-smp-alt5
  (https://bugzilla.altlinux.org/show_bug.cgi?id=11208).
- Add support of ppp device virtualization (backport
  http://bugzilla.openvz.org/show_bug.cgi?id=268).
- Rebuild with new OpenVZ 028stab027 patch:
  Fixes:
   + Fix leak of loopback per-cpu stats
   + Fix loopback stats compilation
   + Removes warning about special pids (from NFS kernel thread spawning)
   + [ACL] ext3: fix minor merge bug
   + [BC] Fix potential beancounter refcount leak
   + [CPT] Align netroute section in cpt dump
   + [CPT] Fix IPv6 addresses restore
   + [CPT] Reserve vsyscall section and object ID
   + [CPT] [IA64] Fix checking of CPU capabilities on IA64
   + [CPT] [IA64] add debugging NAT bits, remove debugging RSE
   + [CPT] bug in restore net routes 
   + [CPT] unlimit dcachesize on restore
   + [EXT3] dirindex error handling issues
   + [IA64] unwind did not work for processes born with CLONE_STOPPED
   + [IOPRIO] Fix beancounter handling when CONFIG_UBC_IO_PRIO=n
   + [IOPRIO] Fix compilation when CONFIG_UBC_IO_PRIO=n
   + [IOPRIO] Fix potential deadlock found by lockdep
   + [IOPRIO] Handle subbeancounters correctly in get_io_ub()
   + [IOPRIO] dereference after free
   + [IOPRIO] elevator switch oops fix
   + [IPV6] NDISC: Calculate packet length correctly for allocation
   + [LOCKDEP] Fix lockdep for virtualized fstype
   + [LOCKDEP] Fix lockdep for virtualized runqueues
   + [NFS] fix lockd context when bind mounted from VE0 to VE
   + [PATCH] Fix unlocked access to task list from /proc/pid/oom_score
   + [PATCH] mainstream: fix sys_accept() error path
   + [PATCH] revert exec perms race fix
   + [PROC] mainstream: race between proc_lookup() and sys_delete_module() 
   + [SCHED] VCPU should be initialized completely before deletion
   + [SCHED] find_idle_vcpu() mask check fix
   + [VESTATS] Fix memory page allocation latency stats
  Features:
   + [IOPRIO] new cfq queue putting mechanism
   + [SCHED] Improve vcpu scheduling taking into account cache hotness
   + [SCHED] Improve idle load balance
   + [PATCH] Disable NMI watchdog by default
   + [NMI] set default NMI watchdog timeout to 30 secs
   + [VESTATS] use jiffies instead of cycles for mm stats

* Sat Mar 17 2007 L.A. Kostis <lakostis@altlinux.ru> 2.6.18-alt12
- Update modules.build list: add atl1 and cronyx modules
- Sync with kernel-image-std-smp 2.6.18-alt5
- Enable UBC I/O priority
- Rebuild with OpenVZ 028stab022 patch:
  Fixes:
   + [CPT] Fix kernel_thread creation oops when build with regparams
   + [IOPRIO] request gets a beancounter
   + [IOPRIO] Compilation fix for ub_prio
   + Limit setluid caps in VE as in 2.6.9.
   + [IOPRIO] get queue lock on async queues put
   + [IOPRIO] excess list_del in forced dispatching case
   + Fix for over-optimization of OTHERSOCKBUF accounting
   + buffer: memorder fix
   + return ENOENT from ext3_link when racing with unlink
   + make static counters in new_inode and iunique be 32 bits
   + add hooks on device queue creation/elimination
   + remove unworking vm86(2) from x86_64 
   + update OO generation on mm destroy
   + fix tcp_v4_get_port
   + fix pid virtualization
   + [IA64] forgotten line in TIF_RESTORE_SIGMASK
   + [IPV6] MCAST: Fix joining all-node multicast group on device initialization
  Features:
   + introduces I/O prioritization for beancounters. 
   + [VETH] MAC filtering on veth device

* Sat Mar 03 2007 L.A. Kostis <lakostis@altlinux.ru> 2.6.18-alt11
- Add tp_smapi to modules.build
- PCI subsystem changes: 
  + pcieport-driver: remove invalid warning message
- Rebuild with new OpenVZ 028test18 patch:
  Fixes:
   + missed ve context switch in NFS RPC code
   + fixes for ext3 error behavior
   + task puts UBC before the task becomes invisible for all
   + revert diff-ms-ext3-retries-20061109
   + fix powernow-k8 for VCPU changes
   + do_mremap: wrong type for len variable is used
   + replace wrong rcu_lock by rcu_unlock 
- Build with fixes from 2.6.18.8 patch.
- IDE subsystem changes:
  + add non-libata jmicron module for JMB361-JMB368 devices 
    (backport from 2.6.19+)
- SCSI subsystem changes:
  + add libata pata_marvell PATA module for for the Marvell 88SE6145 ATA
    controller (backport from 2.6.20+)

* Sat Feb 17 2007 L.A. Kostis <lakostis@altlinux.ru> 2.6.18-alt10
- Fix merge with -std-smp (we lost some commits during merge).
- Rebuild with new OpenVZ 028test17 patch:
  + Introduce and use for_each_ve()
  Fixes:
   + Change default for per/UB TW buckets limitations
   + [BC] Don't uncharge resources in RCU callbacks
   + [BC] Fix uncharging of privvmpages on error path
   + [BC] Fix compilation warning in ub_proc.c
   + Bad inode -EIO screwup. CVE-2006-5753 ported from mainstream
   + [CPT] use BUILD_BUG_ON() where appropriate
   + [BC] Return ENOMEM if pty charge fails
   + [SIMFS] get lower vfsmount on simfs mount
   + Unresolved symbols should abort build
   + IPC walking symbols are VE-related, not CPT

* Fri Feb 16 2007 LAKostis <lakostis at altlinux.org> 2.6.18-alt9
- Remove sk98lin from build.modules (obsoleted by skge).
- Synced with 2.6.18-std-smp-alt4.
- Rebuild with new OpenVZ 028test16 patch:
  + [CPT] Convert some printk-s to eprintks
  + Make it possible to change page state info dumped from /proc/meminfo
  + [CPT] Change ubc image format to remove magic numbers like 6 and 12
  + [CPT] Add check for image version
  Fixes:
    + [CPT] Unmap ptep in page_get_desc early
    + [IA64] do not reset loadrs after clone
    + [CPT] adjust ubc limits on restore
    + [CPT] fix ubc save/restore procedure
    + [BC] Revert commits that add per-vma RSS accounting
    + Allow process access /proc/$PID/fd after setuid()
    + [CPT] do not forget to release mm semaphore in error path

* Sat Feb 03 2007 L.A. Kostis <lakostis@altlinux.ru> 2.6.18-alt8
- Rebuild with new OpenVZ 028test15 patch:
  + [BC] Allocate percpu stats via alloc_percpu
  + Add alloc_percpu_atomic primitive to kernel
  + Simplify lutime(2)
  Fixes:
   + mm struct may die while we're killing tasks
   + [SIMFS] Fixed comment and moved memset into proper place in sim_statfs
   + [CPT][IA64] pause() could hang forever
   + [IA64] TIF_RESTORE_SIGMASK for IA32 emulation
   + [CPT] sigsuspend could hang forever after restore
   + [IA64][CPT] fpregs 32..128 were restored incorrectly
   + igmp: handle GFP_ATOMIC allocation failures
   + Assign predefined priorities to ve start/stop hooks
   + Fix /proc/<pid>/stat's VE and BC info
   + [CPT] Fixed compilation without CONFIG_COMPAT on x86_64
   + [CPT] sync migration to new MM conventions in 2.6.18
   + [NETFILTER] iptables sockopt checks
   + Core-dumping unreadable binaries via PT_INTERP (CVE-2004-1073)
   + Fix memory leak on VE stop (venet device is not freed)

* Mon Jan 29 2007 L.A. Kostis <lakostis@altlinux.ru> 2.6.18-alt7
- Remove r1000 from modules.build (use r8169 instead)
- Build with CONFIG_SECURITY disabled (CONFIG_VE requires !SECURITY)
- Rebuild with new OpenVZ 028test13 patch:
  + Various oops in schedule fixed
  + Fix virt pids hash manipulations
  + [BC] Oomkiller fixes merged from stable branch
  + Added severity for NUMXTENT charging
  + Fixed misprint in xt_recharge_table
  + [BC] Charge iptables entries to top beancounter
  + [CPT] Kill external processes on suspend
  + Reimplement vzwdog thread via kthreads
  + Add missed label out: in venet driver
  + [BC] Save and restore interrupts in delayed_put_beancounter()
  + New venet refcounting scheme
  + Iteration over all present beancounters fixed in ubstat
  + Fix binary sysctl KERN_*
  + [PATCH] rewrite lchmod(2) via lchmodat
  + ext[23]-fs warns when acl is not supported
  + Fix VmallocTotal field in /proc/meminfo contains garbage
  + [SIMFS] Fix statfs behaviour over reiserfs and no-quota case
  + Revert adding NFS and RPC disabling sysctls
  + Fix alignment problem when using 32 bit quota tools over 64 bit OS
  + [BC] Handle exec_ub == NULL case in IO acct
  + [CPT] Safely create proc files
  + [CPT][VFS] Merged VFS-related CPT changes from stable 023 branch
  + [VZQUOTA] add virtinfo notifier call to disable vzquota on an inode
  + [SIMFS] Oops in kobject_get_path
  + Add sysctl to enabled SUN RPC form inside VE
  + Add sysctl to enabled NFS inside VEs
  + Add sysctl that allows creation of khtreads from VE
  + [VZDQ] Create proc files with safe calls introduced in previous patch
  + Fix proc entries creation from modules
  + Add "quite" to /proc/cmdline inside VE
  + Fix assertions in fairsched
  + Fairsched startime manipulations
  + [SECURITY]: Deadlock in mincore (CVE-2006-4814)
  + [BC] Page may not have IO context on release

* Sat Jan 20 2007 L.A. Kostis <lakostis@altlinux.ru> 2.6.18-alt6
- Synced with std-smp-2.6.18 from /people/vsu/kernel-source-2.6.18.git
- Rebuild with new OpenVZ 028test11 patch:
  + Compilation fix for percpu-allocation of ve_cpu_stats
  + Make ve->ve_cpu_stats percpu-allocatable
  + [CPT] compilation fixes for CONFIG_NET/_INET variations
  + Compilation fixes for net_class registering in VE
  + VE_NETDEV meaning change and compilation fixes
  + Introduce and use get_task_mnt_ns()
  + Fix NULL ->nsproxy dereference at mounts_open
  + Make CONFIG_VE depend on !SECURITY
  + [CFQ] don't allow sync merges across queues
  + [CFQ] propagate down request sync flag
  + [CFQ] bad locking in changed_ioprio()
  + [CFQ] use irq safe locking in cfq_cic_link()
  + [BC] Report per-BC ioacct statistics via /proc/vmstat
  + [CPT] IA64 support
  + Move refrigerator() to core
  + [IA64] set pn_state in ia64 ptrace syscall enter/leave
  + [CPT][IA64] add to core code and exports required by checkpointing
  + [IA64] Add try_to_freeze() to IA64 do_signal()
  + [CPT] Convert restore hooks from assembler to C
  + [CPT] restore VM_GROWSUP areas correctly
  + [IA64]  MAP_GROWSUP was ignored by mmap()
  + [CPT] fix oops in error path
  + [IA64] add support for TIF_RESTORE_SIGMASK, ppoll/pselect
  + [BC] Fix race in IO accounting
  + Fix p4-clockmod driver in VCPU presense
  + Fix of ip6 addr add
  + Convert VPS to VE in cpt, conntracks and cycles calibration code
  + Convert "VPS" to "VE" in printks
  + Fixup net/ipv4 sysctl tables indexing
  + Remove sysctl_local_port_range virtualization
  + IPv[46] indev initialization fix
  + Fix vlan_stop() hook
  + Fix memory leak in fuse_stop() hook
  + [NFS] nfs_stop() hook cleanup
  + Leaks in neigh_table_init()
  + [PATCH] Incorrect ve context handling
  + [PATCH] use virtual pids in ipc/shm.c
  + Logical refcount loop in ipc ns -> massive leakage

* Tue Jan 09 2007 LAKostis <lakostis at altlinux.org> 2.6.18-alt5
- Rebuild with new OpenVZ 028test010 patch:
  + Fix deadlock in IO accounting
  + Expand seq_prinf() format for debugging slab info
  + Added ability to set up high TOS values inside VE
  + [BC] Account O_DIRECT writes

* Thu Dec 28 2006 LAKostis <lakostis at altlinux.org> 2.6.18-alt4.2
- Synced with std-smp-2.6.18-alt3.
- Rebuild with OpenVZ 028test008 patch:
  + Small compilation fix for shced.c
  + [CPT] root namespace can be destroyed when restoring VE
  + Fix ubstatd to use new for_each_beancounter
  + Switches some users of ub_hash to rcu ub_list, where it fits
  + Switches ub_proc to to ub_list
  + Add user beancounter rcu list
  + Get iowait time from vcpu in preempt_disable() section
  + [CPT] nsproxy leakage while restoring a zombie
  + Do not interrupt fork(), when restoring processes
  + [BC] Add debuging for IO accounting and fix one BUG
  + [CPT] check for existence of external bind mounts
  + [CPT] redundant try_to_freeze() in 2.6.18
  + EDEADLK check bypass in PI-futex code
  + Use VPIDs in PI-futex code
  + Some pid->vpid conversions were lost in IPC (fix #73667)
  + Use CONFIG_LEGACY_PTYS in all needed places in vecalls
  + Code cleanup in vzwdog module
  + Move user-triggerable iptables messages to per-VE log
  + fix fib_hash_free() calling from fini_ve_route() that uses wrong size argument
  + [FAIRSCHED] Fix ve cpu MHZ scaling on SMP
  + [VZDQ] Fix "detached inode not in creation" sutiation
  + At one place qlnk origin is not set which may hide useful info later
  + Small fixes in ve tty drivers allocation
  + [BC] Fix dcache accouting turning off
  + Compilation fixes for IPV6 (=y/m/n cases) and vecalls related cleanup
  + [BC] Fix USER_RESOURCE=n compilation
  + Don't return cpu_online_map as ve cpu_online_mask
  + [NETFILTER] Compat offsets overflow
  + Allow moving of VLAN devices created in ve0
  + [BC] Cleanup proc output formats
  + [BC] Account for sys_write/sys_read and co
  + [BC] Sync/fsync accounting
  + Move loadavg calculations into kernel from vecalls module
  + [BC] Generic percpu counters ob beancounters
  + Introduce and use iterator over all fairsched nodes
  + [IA64] when ub does not allow to allocate page, bad value returned
  + [IA64] virt_to_page() cannot be called with NULL (mainstream bug)
  + [IA64] bug in ldscript (mainstream)
  + [PATCH] dput() exists with disabled preemption
  + [SPARC64] get_vm_area_best() fix
  + Revert commit for fixing compat ioctl printks...
  + Fix IA64 compilation when CONFIG_IA32_SUPPORT=y
  + Add human readable #defines for rate-limit control via sys_fairsched_rate()
  + Print compat_ioctl errors to ve log if it is triggered by ve process
  + Fix devperms hash walking in find_devperms()
  + [BC] Check for tsk->mm == NULL in oom killer
  + [NETFILTER] Fix iptables recharging BUG
  + [BC] Don't show dummy resources in /proc/bc/resources
  + [BC] Create /proc/bc/0 directory with files
  + [BC] Proc files structure rework
  + [CPT] Fix nsproxy usage
  + Remove inclusion on removed disk_io.h from ub/beancounter.c
  + NFS stop fixed
  + [BC] Per-beancounter IO activity accounting
  + Per-UB disk IO accounting (initial version)
  + Small fixes of IO accounting porting
  + Per-task disk IO accounting from -mm tree
  + ve_list_head/_guard redesign
  + Fixed use-after-free bug in ip{6}t_unregister_table 

* Mon Dec 11 2006 LAKostis <lakostis at altlinux.org> 2.6.18-alt4
- Disable IPV6 support (as we don't announce it).
- Rebuild with fixes from OpenVZ HEAD:
  + Remove useless VE_CPU_STATS() call
  + Use mutex_lock() for fairsched_mutex
  + seq_open/fairsched2_seq_op screwup
  + ext2 filesystem was forgotten as recognized by CPT
  + Propagate FIXME from SMP version of resched_task()
  + Cleanup taks's dentries from proc on task death

* Tue Dec 05 2006 LAKostis <lakostis at altlinux.org> 2.6.18-alt3
- Rebuild with new OpenVZ 028test007 patch:
  + Add asm/timex.h to linux/ve_task.h (this makes x86_64 compile).
  + Fixed capabilities check for tun device in VE.
  + Output virtual pid not real as first field in /proc/$PID/stat
  + [CPT] Make CPT modules compile w/o beancounters.
  + Make kernel compile w/o beancounters.
  + Fix compat_sys_mount OOPs
  + Hide the content of /proc/net/sockstat rather than the file itself
  + Fix dcache leak on race from dcache_charge[_forced] and dcache_unchange
  + Clear stats on VCPU addition
  + Fix VCPU user=system=nice=idle=0%% bug
  + Fixed numiptent recharging in xt_replace_table
  + Change context to ve0/ub0 on irq_enter automatically
  + Fix scheduler deadlock in idle_balance.

* Thu Nov 30 2006 LAKostis <lakostis at altlinux.org> 2.6.18-alt2
- Synced with 2.6.18-std-smp-alt2.

* Tue Nov 28 2006 LAKostis <lakostis at altlinux.org> 2.6.18-alt1
- New 2.6.18 version.
- Synced with std-smp-2.6.18-alt1
- Add feat-evms patches (bbr target support for dm driver)
- Rebuild with modified OpenVZ 028test006 patch:
  + update for changes introduced by fix-core--syslog
  + update for changes introduced by feat-acpi-custom-dsdt
  + adjust ret_from_fork hooks introduced by fix-security--eflags-leak-x86_64
  + use modified fix-security-exec-shield patch
  + port patch from
    http://forum.openvz.org/index.php?t=tree&goto=2914&#msg_2914 to unionfs
    version 1.4
- Applied postcommits from linux-2.6.18-openvz HEAD: 
  + Simplify ve_nr_running_inc()/dec()
  + Fixed "Oops in connect init" warnings during IPv6 connect
  + Netfilter: Fixed operation of IPT_SO_GET_REVISION_* getsockopts in compat mode
  + Netfilter: Targets/matches cleanup
  + Netfilter: Fixed xt_limit operations in compat mode
  + Netfilter: Fix of iptables checks
  + Remove struct pid from vpid hash on free_pid()
  + Fixed a misprint in recent patch (find_vpid())

* Tue Nov 07 2006 L.A. Kostis <lakostis@altlinux.org> 2.6.16-alt12
- Rebuild with fixed 026test020 OpenVZ patch:
    + 2.6_73-ubc-precharge-fix.patch: Set correct precharge values for init_task
    (see http://bugzilla.openvz.org/show_bug.cgi?id=322).
    - 2.6_72_cpt-x86_64-ret-from-fork-fix.patch (didn't help).
- Disable squashfs support (broken package).

* Fri Oct 27 2006 L.A. Kostis <lakostis@altlinux.org> 2.6.16-alt11
- Rebuild with fixed 026test020 OpenVZ patch:
  + 2.6_72_cpt-x86_64-ret-from-fork-fix.patch: fix ret_from_fork w/
    CVE-2006-5173 fixing patch (by Andrey Mirkin).

* Fri Oct 27 2006 L.A. Kostis <lakostis@altlinux.org> 2.6.16-alt10
- Rebuild with fixed 026test020 OpenVZ patch:
  + 2.6_71_bind_fix.patch: Fix ve_accessible_strict() check in
    inet_csk_bind_conflict() (by vsu@altlinux).

* Wed Oct 25 2006 L.A. Kostis <lakostis@altlinux.org> 2.6.16-alt9
- Rebuild with new 026test020 OpenVZ patch;
- Enable exec-shield and altsec patches again.

* Wed Oct 25 2006 L.A. Kostis <lakostis@altlinux.org> 2.6.16-alt8.1
- Synced with 2.6.16-std26-smp-alt13.
- Disable exec-shield and altsec patches for clarifying OpenVZ bug #313.

* Sun Oct 15 2006 L.A. Kostis <lakostis@altlinux.org> 2.6.16-alt8
- Rebuild with new 026test019 OpenVZ patch;
- Synced with std26-smp-2.6.16-alt12.

* Tue Sep 19 2006 L.A. Kostis <lakostis@altlinux.org> 2.6.16-alt7
- Rebuild with new 026test018 OpenVZ patch;
- Re-enable exec-shield again (but see
  http://bugzilla.openvz.org/show_bug.cgi?id=203 for checkpointing workaround);
- Re-enable CONFIG_REGPARM (seems ok now);
- Synced with std26-smp-2.6.16-alt10:
  + add -fix-drivers-infiniband;
  + update modules.build.

* Fri Aug 25 2006 LAKostis <lakostis at altlinux.org> 2.6.16-alt6
- Rebuild with new 026test017 OpenVZ patch.

* Fri Aug 04 2006 L.A. Kostis <lakostis@altlinux.ru> 2.6.16-alt5
- disable exec-shield patch (due
  http://bugzilla.openvz.org/show_bug.cgi?id=203);
- disable CONFIG_REGPARM as possibly fix for oopses during checkpointing;
- Enabled VZ_CHECKPOINT support for Checkpointing and restoring Virtual
  Environments.
 
* Sun Jul 16 2006 Dmitry V. Levin <ldv@altlinux.org> 2.6.16-alt4
- Synced with std26-smp-2.6.16-alt9.

* Thu Jul 13 2006 L.A. Kostis <lakostis@altlinux.ru> 2.6.16-alt3
- Rebuild with new 026test015 OpenVZ patch.

* Sun Jun 25 2006 LAKostis <lakostis at altlinux.org> 2.6.16-alt2.1
- Synced with vs26-smp (added included -feats/-fixes).

* Tue Jun 20 2006 Dmitry V. Levin <ldv@altlinux.org> 2.6.16-alt2
- Synced with std26-smp-2.6.16-alt7.

* Wed Jun 07 2006 Dmitry V. Levin <ldv@altlinux.org> 2.6.16-alt1
- Made an OpenVZ kernel based on std26-smp-2.6.16-alt6.
- Disabled all -feat patches (to be considered later).

* Fri May 26 2006 Sergey Vlasov <vsu@altlinux.ru> 2.6.16-alt6
- Patches updated up to 2.6.16.18.
- Updated kernel-fix-security:
  + CVE-2006-1858: SCTP: respect the real chunk length when walking parameters
  + CVE-2006-1857: SCTP: validate the parameter length in HB-ACK chunk
  + CVE-2006-2444: netfilter: SNMP NAT: fix memory corruption

* Sat May 20 2006 Sergey Vlasov <vsu@altlinux.ru> 2.6.16-alt5
- Patches updated up to 2.6.16.16 + 2.6.16-stable queue.
- Updated kernel-fix-core:
  + make vm86 call audit_syscall_exit()
  + clean up broken asm in vm86 syscall audit code
  + remove cond_resched in gather_stats()
  + add migratepage address space op to shmem
  + page migration: fix fallback behavior for dirty pages
  + fix ptrace_attach()/ptrace_traceme()/de_thread() race
  + ptrace_attach: fix possible deadlock schenario with irqs
- Updated kernel-fix-drivers-block:
  + ub: fix oops in block_uevent()
  + block layer: limit request_fn recursion
- Updated kernel-fix-drivers-char:
  + tipar: fix oops when compiled into the kernel
- Updated kernel-fix-drivers-i2c:
  + scx200_acb: fix resource name use after free
- Updated kernel-fix-drivers-md:
  + md: avoid oops when attempting to fix read errors on raid10
- Updated kernel-fix-drivers-net:
  + via-rhine: zero pad short packets on Rhine I ethernet cards
  + tg3: fix ethtool always reporting port is TP
- Updated kernel-fix-drivers-pci:
  + PCI quirk: do not unhide Intel SMBus controller if ACPI suspend is enabled
    (unhiding SMBus kills thermal management after suspend on many laptops)
  + PCI quirk: run VIA IRQ fixup only for VIA southbridges
  + PCI quirk: fix the previous VIA IRQ fixup fix (add VIA 82C586 PCI IDs)
  + PCI ACPI: correctly allocate return buffers for _OSC calls
  + PCI quirk: add 'unhide_smbus' boot option to unhide SMBus controllers
    disabled by BIOS
- Updated kernel-fix-drivers-pcmcia:
  + cardman 40x0: fix udev device creation
- Updated kernel-fix-fs:
  + fix sys_flock() race which could result in double free
  + tmpfs: decrement i_nlink correctly in shmem_rmdir()
  + smbfs: fix slab corruption in samba error path
  + fix typo in compat_sys_ppoll()
- Updated kernel-fix-security:
  + CVE-2006-1527: netfilter: sctp conntrack: fix infinite loop
  + CVE-2006-1864: smbfs: fix chroot issue
  + CVE-2006-2272: SCTP: fix panic when receiving fragmented SCTP control
    chunks
  + CVE-2006-2271: SCTP: fix state table entries for chunks received in CLOSED
    state
  + CVE-2006-2275: SCTP: allow spillover of receive buffer to avoid deadlock
  + CVE-2006-2274: SCTP: prevent possible infinite recursion with multiple
    bundled DATA
  + CVE-2006-1860: fs/locks.c: fix lease_init
  + CVE-2006-0039: netfilter: fix do_add_counters race

* Sun Apr 30 2006 Sergey Vlasov <vsu@altlinux.ru> 2.6.16-alt4
- Patches updated up to 2.6.16.11 + 2.6.16-stable queue.
- Added kernel-feat-net-ieee80211: update IEEE 802.11 subsystem to version
  1.1.13 (required for newer version of Intel wireless drivers).
- Updated kernel-fix-core:
  + x86_64: pass -32 to the assembler when compiling the 32bit vsyscall pages
  + x86_64: fix a race in the free_iommu path
  + backport for_each_possible_cpu() into 2.6.16
  + x86/PAE: fix pte_clear for the >4GB RAM case
- Updated kernel-fix-drivers-char:
  + cs5535_gpio: call cdev_del() during module_exit
  + sonypi: correct detection of new ICH7-based laptops
- Updated kernel-fix-drivers-md:
  + dm snapshot: fix kcopyd destructor
  + dm: fix dm_suspend() cancellation
- Updated kernel-fix-drivers-media:
  + get_dvb_firmware: download nxt2002 firmware from new driver location
  + fix saa7129 support in saa7127 module for pvr350 tv out
  + cxusb-bluebird: power down corrupts frontend
- Updated kernel-fix-drivers-net:
  + e1000: update truesize with the length of the packet for packet split
- Updated kernel-fix-drivers-usb:
  + fix array overrun in drivers/usb/serial/option.c
- Updated kernel-fix-fs:
  + simplify /proc/devices and fix early termination regression
  + reiserfs: fix acl-related deadlock
  + LSM: add missing hook to do_compat_readv_writev()
- Updated kernel-fix-security:
  + CVE-2006-1863: cifs: don't allow a backslash in a path component
  + fix FP exception handling broken by the CVE-2006-1056 fix

* Sun Apr 23 2006 Sergey Vlasov <vsu@altlinux.ru> 2.6.16-alt3
- Patches updated up to 2.6.16.9 + 2.6.16-stable queue.
- Updated kernel-fix-core:
  + fix buddy list race that could lead to page lru list corruptions
  + RLIMIT_CPU: fix handling of a zero limit
  + fix suspend with traced tasks
  + fix non-leader exec under ptrace
  + ipc: fix access to unmapped vmalloc area in grow_ary()
  + apm: fix the "apm: set display: Interface not engaged" error on Armada
    laptops again
  + add more prevent_tail_call() to fix userspace register corruption
- Updated kernel-fix-drivers-block:
  + cciss: fix crash when running hpacucli
- Updated kernel-fix-drivers-char
  + efficeon-agp: add missing memory mask
  + ipmi: fix buffer overflow in BT code
- Updated kernel-fix-drivers-i2c:
  + i2c-i801: fix resume when PEC is used
  + m41t00: fix bitmasks when writing to chip
- Updated kernel-fix-drivers-ide:
  + alim15x3: fix ULI M1573 southbridge support
- Added kernel-fix-drivers-mtd:
  + MTD_NAND_SHARPSL and MTD_NAND_NANDSIM should be tristate's
- Updated kernel-fix-drivers-scsi:
  + 3w-xxxx: disable local IRQs around kmap_atomic() calls
  + 3w-9xxx: disable local IRQs around kmap_atomic() calls
- Updated kernel-fix-drivers-usb:
  + remove __init from usb_console_setup
- Updated kernel-fix-drivers-video:
  + fbdev: fix return error of fb_write
- Updated kernel-fix-fs:
  + fuse: fix oops in fuse_send_readpages()
  + fix block device symlink name for devices with a '/' in their name
  + ext3: fix missed mutex unlock in error path
  + xfs: fix utime(2) in the case that no times parameter was passed in
  + cifs: fix incorrect signature sent on SMB Read (Samba bug 3621, kernel.org
    bug 6147)
  + x86: don't allow tail-calls in sys_ftruncate[64]() to avoid userspace
    register corruption
  + x86: be careful about tailcall breakage for sys_open[at] too
  + fix file lookup without ref
- Updated kernel-fix-net:
  + atm: clip causes unregister hang
  + tcp: fix truesize underflow with TSO
  + ipv6: ensure to have hop-by-hop options in our header of sk_buff
  + ipv6: xfrm: don't use old copy of pointer after pskb_may_pull()
  + ipv6: xfrm: fix decoding session with preceding extension header(s)
- Updated kernel-fix-security:
  + CVE-2006-0744: x86_64: always call IRET in execve; when user could have
    changed RIP always force IRET
  + shmat: stop mprotect from giving write permission to a readonly attachment
  + CVE-2006-1524: check file and mmap protections for MADV_REMOVE
  + CVE-2006-1525: ipv4: ip_route_input panic fix
  + CVE-2006-1056: i386/x86-64: fix x87 information leak between processes
  + selinux: fix MLS compatibility off-by-one bug

* Wed Apr 12 2006 Sergey Vlasov <vsu@altlinux.ru> 2.6.16-alt2
- Patches updated up to 2.6.16.4.
- Updated kernel-fix-core:
  + fix wrong error path in dup_fd() leading to oopses in RCU
  + cpufreq: mark longhaul driver as broken
  + cpufreq: fix the p4-clockmod N60 errata workaround
  + fix module refcount leak in __set_personality()
  + fix NULL pointer dereference in node_read_numastat()
- Updated kernel-fix-drivers-char:
  + isicom must select FW_LOADER
  + tlclk: fix sysfs permissions
- Added kernel-fix-drivers-ieee1394:
  + sbp2: fix spinlock recursion
- Updated kernel-fix-drivers-media:
  + saa7134: fix oops with disable_ir=1
- Updated kernel-fix-drivers-net:
  + PCMCIA_SPECTRUM must select FW_LOADER
  + ipw2200: fix an array overrun
  + AIRO and AIRO_CS must select CRYPTO
  + hostap: fix EAPOL frame encryption
  + sky2: fix oops on dual port cards
  + PPP MPPE: do not accept unsupported MPPE options
- Added kernel-fix-drivers-pcmcia:
  + pcmcia: permit single-character-identifiers
- Updated kernel-fix-drivers-usb:
  + EHCI full speed ISO bugfixes
  + usbcore: usb_set_configuration oops (NULL ptr dereference)
  + isd200: limit to BLK_DEV_IDE
- Updated kernel-fix-drivers-video:
  + fbcon: fix big-endian bogosity in slow_imageblit()
- Updated kernel-fix-fs:
  + knfsd: correct reserved reply space for read requests
  + kdump proc vmcore size overflow fix
- Updated kernel-fix-net:
  + {ip,nf}_conntrack_netlink: fix expectation notifier unregistration
  + fib_trie.c node freeing fix
  + netfilter: fix fragmentation issues with bridge netfilter
  + fix hotplug race during device registration
- Updated kernel-fix-security:
  + CVE-2006-1055: sysfs: zero terminate sysfs write buffers
  + CVE-2006-1522: keys: fix oops when adding key to non-keyring
  + CVE-2006-1523: __group_complete_signal: remove bogus BUG_ON

* Thu Mar 30 2006 Sergey Vlasov <vsu@altlinux.ru> 2.6.16-alt1
- 2.6.16 (patches from 2.6.16.1 included).
- Added more files to kernel-headers-modules-%%flavour subpackage:
  + arch/%%base_arch/Makefile.cpu
  + scripts/mkmakefile
  + .kernelrelease
- Added kernel-fix-security-altsec - hardening patch for Linux 2.6.
- Updated kernel-feat-drivers-net-sk98lin:
  + updated sk98lin driver to 8.31
  + added patch to fix compilation with 2.6.16
- Updated kernel-fix-build:
  + fix kbuild compatibility with make-3.81rc1
  + fix <linux/rtc.h> changes which broke strace builds
- Updated kernel-fix-core:
  + sysfs: sysfs_remove_dir() needs to invalidate the dentry (fixes USB cdc-acm
    oops on disconnect)
  + firmware: fix BUG: in fw_realloc_buffer
  + fix get_cpu_sysdev() parameter type
  + sysfs: fix a kobject leak in sysfs_add_link on the error path
  + fix scheduler deadlock
  + DMI: fix DMI onboard device discovery
  + speedstep-smi: fix assembly bug in speedstep_smi_ownership
  + unshare: error if passed unsupported flags
- Updated kernel-fix-drivers-block:
  + cciss: fix use-after-free in cciss_init_one
- Updated kernel-fix-drivers-char:
  + tlclk: fix handling of device major
  + agpgart: add ATI RS350 support
  + agpgart: fix wrong PCI ID for ALI M1695 AGP bridge
- Updated kernel-fix-drivers-i2c:
  + i2c-piix4: add Broadcom HT-1000 support
  + i2c-ixp4xx: add hwmon class
- Updated kernel-fix-drivers-md:
  + dm: bio split bvec fix
  + raid1: fix bug: BIO_RW_BARRIER requests to md/raid1 hang
- Updated kernel-fix-drivers-media:
  + V4L/DVB: fix Samsung NTSC tuner frequency ranges
  + VIDEO_DECODER must select FW_LOADER
- Updated kernel-fix-drivers-scsi:
  + sata_mv: fix irq port status usage
  + sata_mv: fix off by one bug in processing of the EDMA response queue
- Updated kernel-fix-drivers-usb:
  + irda-usb: fix use-after-free bug in irda_usb_receive()
- Updated kernel-fix-drivers-video:
  + i810fb_cursor(): use GFP_ATOMIC
- Updated kernel-fix-fs:
  + fix duplicated line in /proc/devices
  + xfs: avoid writeout of clean data
  + v9fs: assign dentry ops to negative dentries
- Updated kernel-fix-net:
  + ensure device name passed to SO_BINDTODEVICE is NULL terminated
- Updated kernel-fix-security:
  + CVE-2006-1242: TCP: do not use inet->id of global tcp_socket when sending
    RST
- Updated kernel-fix-acpi, kernel-fix-core, kernel-fix-drivers-block,
  kernel-fix-drivers-char, kernel-fix-drivers-i2c, kernel-fix-drivers-ide,
  kernel-fix-drivers-media, kernel-fix-drivers-net, kernel-fix-drivers-scsi,
  kernel-fix-drivers-usb, kernel-fix-fs, kernel-fix-net, kernel-fix-security:
  - disabled obsolete patches when applying to kernel 2.6.16
- Removed kernel-fix-core-skbuff, kernel-fix-drivers-hwmon,
  kernel-fix-drivers-input, kernel-fix-drivers-pcmcia,
  kernel-feat-net-ieee80211, kernel-feat-net-ppp-mppe (obsolete patches)
- Important configuration changes:
  + i586 smp: enabled CONFIG_HIGHMEM64G to support more than 4GB RAM (#8865)
  + i586: enabled CONFIG_REGPARM
  + x86_64 smp: enabled NUMA support
  + changed default IO scheduler to CFQ
  + enabled traffic control actions support (CONFIG_NET_CLS_ACT)
  + usb-storage: enabled ub driver in addition to usb-storage, enabled libusual
    module to select between ub and usb-storage
  + enabled kernel-fix-security-altsec features:
    + CONFIG_ALT_SECURE_PROC: tighten permissions for some things in /proc
      (similar to the Openwall patch for kernels 2.4.x)
    + CONFIG_ALT_SECURE_SHM: immediately destroy unused SysV shared memory
      segments (configurable through the kernel.shm_destroy_unused sysctl)

* Thu Feb 09 2006 Sergey Vlasov <vsu@altlinux.ru> 2.6.14-alt5
- Updated kernel-fix-drivers-ide:
  + via82cxxx: add VIA VT8251 IDE controller support
- Added kernel-fix-drivers-input:
  + mousedev: fix memory leak
  + iforce: fix detection of USB devices
- Updated kernel-fix-drivers-scsi:
  + ahci: add VIA VT8251 SATA controller support
- Updated kernel-fix-fs:
  + fix NFS inode leak when d_instantiate_unique finds aliased dentry
- Updated kernel-fix-net:
  + ppp: fix hardware RX checksum handling
- Updated kernel-fix-security:
  + CVE-2006-0095: dm-crypt: zero key before freeing it
  + seclvl: do not crash on settime() with a NULL timeval
  + fix keyctl usage of strnlen_user()

* Tue Feb 07 2006 Sergey Vlasov <vsu@altlinux.ru> 2.6.14-alt4
- Updated kernel-fix-core:
  + fix setting irq affinity with MSI enabled
- Updated kernel-fix-drivers-scsi:
  + i2o_scsi: fix oops on command abort
- Updated kernel-fix-fs:
  + ufs: fix oops on mount
  + reiserfs: fix mount options parsing
- Updated kernel-fix-net:
  + ebtables: don't match tcp/udp source/destination port for IP fragments
  + netlink: fix oops on socket creation failure
  + fix /sys/class/net/<if>/wireless without dev->get_wireless_stats
  + make second arg to skb_reserve() signed (fixes PPP on 64-bit archs)
- Updated kernel-fix-security:
  + moxa: require CAP_SYS_RAWIO for firmware loading ioctls
  + CVE-2006-0036: netfilter: fix crash in ip_nat_pptp
  + CVE-2006-0037: netfilter: fix another crash in ip_nat_pptp
  + CVE-2005-3356: fix refcounting on failure exits in sys_mq_open()
  + CVE-2006-0454: icmp: fix extra dst release when ip_options_echo() fails

* Fri Jan 20 2006 LAKostis <lakostis at altlinux.ru> 2.6.14-alt3.1
- add missing bt{848,cx-risc} headers for lirc compiling.

* Sat Jan 07 2006 Sergey Vlasov <vsu@altlinux.ru> 2.6.14-alt3
- Updated kernel-fix-core:
  + add try_to_freeze to kauditd to fix suspend failure
  + kernel/params.c: fix sysfs access with CONFIG_MODULES=n
- Updated kernel-fix-drivers-block:
  + cciss: bug fix for hpacucli
  + cciss: bug fix for BIG_PASS_THRU
- Updated kernel-fix-drivers-char:
  + agpgart: fix serverworks TLB flush
  + i8k: fix /proc reporting of blank service tags
- Updated kernel-fix-drivers-ide:
  + ide-floppy: fix software eject with LS-120 drive
- Added kernel-fix-drivers-media:
  + dvb: BUDGET CI card depends on STV0297 demodulator
  + dvb: fix tuner init for Pinnacle PCTV Stereo
  + dvb: fix analog NTSC for Thomson DTT 761X hybrid tuner (pcHDTV 3000,
    FusionHDTV3 Gold-T)
  + dvb: dst: fix possible buffer overflow
- Updated kernel-fix-drivers-net:
  + sungem: gem_remove_one mustn't be __devexit
- Added kernel-fix-drivers-pcmcia:
  + i82365: release all resources if no devices are found
- Updated kernel-fix-drivers-scsi:
  + libata: separate controller-wide spinlock from Scsi_Host lock
  + dpt_i2o fix for deadlock condition
  + fix transfer direction in sd (kernel panic when ejecting iPod)
  + fix transfer direction in scsi_lib and st
- Updated kernel-fix-drivers-usb:
  + adapt microtek driver to new scsi features
  + usbhid: fix oops when connecting simulation devices generating unknown
    simulation events
  + pl2303: add IDs for Siemens SX1 and x75 mobiles
  + pl2303: fix data length check in pl2303_update_line_status
- Updated kernel-fix-fs:
  + fix listxattr() for generic security attributes
  + ufs: inode->i_sem is not released in error path
- Updated kernel-fix-net:
  + fix processing of fib_lookup netlink messages
  + bonding: fix feature consolidation
  + bridge: recompute features when adding a new device
  + netfilter: fix CTA_PROTO_NUM attribute size in ctnetlink
  + netfilter: fix unbalanced read_unlock_bh in ctnetlink
  + ip_gre: fix hardware checksum modification
  + vlan: fix hardware rx csum errors
  + netfilter: fix NAT init order
  + netfilter: fix incorrect dependency for IP6_NF_TARGET_NFQUEUE
  + rtnetlink: fix RTNLGRP definitions in rtnetlink.h
  + bridge-nf: fix ipv6 length check
  + ipv6: fix route lifetime
  + ipsec: perform SA switchover immediately
  + IEEE80211_CRYPT_TKIP depends on NET_RADIO
- Updated kernel-fix-security:
  + updated CVE-2005-3257 fix patch:
    - require CAP_SYS_TTY_CONFIG for KDSKBENT in addition to KDSKBSENT
    - allow normal users to read current settings
  + CVE-2005-3623: nfsd: do not allow setting ACLs on readonly mounted NFS
    filesystems
  + CVE-2005-4605: insanity avoidance in /proc
  + sysctl: don't overflow the user-supplied buffer with '\0'
  + sysctl: make sure to terminate strings with a NUL

* Sun Dec 04 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.14-alt2
- Restored x86_64 support; updated kernel config for x86_64.
- Updated kernel-fix-acpi:
  + fix HP nx8220 boot hang regression due to change in acpi_bus_find_driver()
  + prefer _CST over FADT for C-state capabilities (as written in the ACPI
    standard)
  + support FADT P_LVL2_UP flag (C2 is valid for UP only)
  + properly detect pmtimer on ASUS A8V
  + fix null pointer deref in video/lcd/brightness
  + fix boot hang on HT boxes with broken BIOS reporting wrong ACPI IDs
  + allow return to active cooling mode once passive mode is entered
- Updated kernel-fix-drivers-ide:
  + via82cxxx: add VT6410 controller support
- Updated kernel-fix-fs:
  + xfs: fix umount/xfslogd deadlock
- Updated kernel-fix-security:
  + CVE-2005-3257: require root privileges for loading key mappings
  + CVE-2005-3857: remove time_out_leases() printk that's easily triggered by
    users
  + CVE-2005-3808: fix 32bit integer overflow in invalidate_inode_pages2()

* Wed Nov 30 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.14-alt1
- 2.6.14.
- Temporarily removed x86_64 support (to be restored by arch maintainers).
- Removed kernel-fix-drivers-ieee1394, kernel-fix-drivers-input,
  kernel-fix-drivers-media, kernel-feat-drivers-input (obsolete).
- Removed kernel-feat-drivers-video-splash (does not work currently).
- Removed kernel-feat-drivers-lirc (the patch is unmaintained, some drivers no
  longer compile at all, others refer to symbols which no longer exist in the
  kernel).
- Added kernel-fix-drivers-hwmon - fixes to hardware monitoring drivers:
  + it87: fix missing fan div init
  + lm78: fix VID conversion
  + w83627hf: fix missing boundary check when setting in0 limits
- Added kernel-feat-net-ieee80211 - IEEE 802.11 subsystem update (needed for
  newer versions of ipw2x00 drivers; cannot be built separately, because now
  there are some in-kernel drivers which use it).
- Added drivers/md/dm*.h headers to kernel-headers-modules-%%flavour (#8443).
- Added drivers/media/video/bttv.h, drivers/media/video/bttvp.h to
  kernel-headers-modules-%%flavour (needed for separate compilation of lirc
  modules).
- Updated kernel-fix-acpi:
  + updated the dsdt-initrd patch to version 0.7e for kernel 2.6.14
  + fix oops on processor module unload when ACPI is disabled
- Updated kernel-fix-build:
  + fix Kconfig dependencies (selecting NFSD_V4 forced CRYPTO_MD5 to be
    builtin, even if NFSD was modular)
- Updated kernel-fix-core:
  + fix de_thread() vs send_group_sigqueue() race
  + fix ptrace self-attach rule
  + fix signal->live leak in copy_process()
  + ptrace: don't auto-reap traced children
  + x86_64/i386: Compute correct MTRR mask on early Noconas
  + fix crash when ptrace poking hugepage areas
- Updated kernel-fix-drivers-block:
  + fix oops on suspend after on-the-fly switch to anticipatory i/o scheduler
  + pktcdvd: fix possible oops in pkt_count_states() due to array overrun
- Updated kernel-fix-drivers-char:
  + fix soft lockup with ALSA rtc-timer due to the wrong irq handling in
    rtc_control()
- Updated kernel-fix-drivers-net:
  + airo.c/airo_cs.c: correct prototypes
  + prism54: fix frame length setting bug which might result in information
    leak
  + drivers/isdn/hardware/eicon/os_4bri.c: correct the xdiLoadFile() signature
  + generic HDLC WAN drivers: disable netif_carrier_off()
  + infiniband: fix a use-after-free
- Updated kernel-fix-drivers-scsi:
  + updated patch for old megaraid driver:
    + removed controllers which are supported by the new driver (megaraid_mbox)
      from the table of supported devices
    + changed PCI driver name to megaraid_legacy to avoid conflict with the
      newer driver
  + dpt_i2o: fix use-after-free
  + i2o_pci: fix use-after-free
  + fix SCSI_SATA_INTEL_COMBINED setting with modular IDE
  + add boot option to control Intel combined mode behavior (to allow DMA in
    combined mode configs)
- Updated kernel-fix-drivers-usb:
  + USB: always export interface information for modalias
- Updated kernel-fix-fs:
  + VFS: fix memory leak with file leases
  + fix XFS_QUOTA for modular XFS
- Updated kernel-fix-net:
  + fix zero-size datagram reception
  + ipvs: fix connection leak if expire_nodest_conn=1
  + tcp: fix too large BIC max increment
  + ctnetlink: check if protoinfo is present
  + ctnetlink: fix oops when no ICMP ID info in message
  + ipv6: fix calculation of AH length during filling ancillary data
  + ipv6: fix memory management error during setting up new advapi sockopts
  + ipv6: fix sending extension headers before and including routing header
  + ip_conntrack: fix ftp/irc/tftp helpers on ports >= 32768
  + ip_conntrack TCP: Accept SYN+PUSH like SYN
  + NAT: fix module refcount dropping too far
  + nf_queue: fix Ooops when no queue handler registered
  + PPTP helper: fix endianness bug in GRE key / CallID NAT
  + PPTP helper: fix PNS-PAC expectation call id
  + fix refcount leak of proto when ctnetlink dumping tuple
- Updated kernel-fix-security:
  + fix syctls unregistration oops (CVE-2005-2709)

* Sun Aug 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt4
- Updated kernel-fix-acpi:
  - removed suspend-setup-leave patch (#6785, #7539)
- Updated kernel-fix-core:
  + do not BUG() when module per-cpu alignment cannot be met
  + fix powernow oops on dual-core Athlon
  + clear the returned argument in sys_get_thread_area()
  + check if mode < 0 in sys_set_mempolicy()
  + x86_64: fix memleak from malicious 32bit elf program
  + x86_64: fixing smpboot timing problem
  + x86_64: fix SRAT for non dual-core AMD systems
- Updated kernel-fix-drivers-char:
  + rocket: fix ldisc ref count handling
  + moxa: fix tty driver name which was conflicting with the BSD-style pty
    driver, therefore some ports were inaccessible when using udev
- Updated kernel-fix-drivers-scsi:
  + qla2xxx: correct handling of fc_remote_port_add() failure case
- Updated kernel-fix-fs:
  + fix BIO cloning bug which could result in data corruption with some MD
    setups
  + check input buffer size in zisofs
- Updated kernel-fix-net:
  + fix early vlan adding leads to not functional device
  + xfrm: fix possible overflow of sock->sk_policy
  + fix potential memory corruption in NAT code
  + fix deadlock in ip6_queue
  + wait until all references to ip_conntrack_untracked are dropped on unload
  + fix signedness issues in net/core/filter.c
- Updated kernel-fix-security:
  + fix keyring handling bugs (CAN-2005-2098, CAN-2005-2099)
- Updated kernel-feat-drivers-net-sk98lin:
  + version 8.23
- Rebuild with new kernel-feat-fs-squashfs.

* Mon Jul 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt3
- Fixed kernel-fix-core-skbuff so that it does nothing for 32-bit architectures
  and enabled it for all architectures to avoid arch-specific BuildRequires.
- Updated kernel-fix-acpi:
  + if ACPI doesn't find an irq listed, don't accept 0 as a valid PCI irq
  + fix PNPACPI resource parser (#7392)
- Updated kernel-fix-drivers-char:
  + fix tpm driver initialization which was messing up other devices
  + add missing NULL checks in tty ioctl code
- Updated kernel-fix-drivers-media:
  + cx88: set hue offset to 128 to correct behavior in cx88 cards
- Updated kernel-fix-drivers-net:
  + fix locking in the shaper driver
- Updated kernel-fix-fs:
  + fix locking in __unregister_chrdev_region()
- Updated kernel-fix-net:
  + revert the nf_reset change completely (previous fix was not enough); drop
    conntrack references manually before packets are queued to packet sockets
- Added kernel-fix-drivers-input:
  + fix problem with trackpoint attached to synaptics passthrough port

* Thu Jul 14 2005 Anton D. Kachalov <mouse@altlinux.org> 2.6.12-alt2
- Per-arch configuration
- Added kernel-fix-core-skbuff for x86_64 only

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.12-alt1
- 2.6.12.
- Updated kernel-fix-build, kernel-fix-core, kernel-fix-drivers-char,
  kernel-fix-drivers-ide, kernel-fix-drivers-media, kernel-fix-drivers-net,
  kernel-fix-drivers-pci, kernel-fix-drivers-scsi, kernel-fix-drivers-usb,
  kernel-fix-drivers-video, kernel-fix-fs, kernel-fix-net, kernel-fix-security:
  - removed obsolete patches
- Updated kernel-fix-acpi:
  + updated acpi-attrs and suspend-setup-leave patches for 2.6.12
  + call acpi_register_gsi() even for default PCI interrupt assignment (needed
    to set PCI interrupts to level/low properly)
- Updated kernel-fix-core:
  + round size in remap_pfn_range() up to a page boundary
  + add "memory" clobbers to string.h functions to avoid memory access
    reordering by gcc
- Updated kernel-fix-drivers-media:
  + updated Manli and BeholdTV remote control support patch for 2.6.12
- Updated kernel-fix-drivers-net:
  + e1000: fix spinlock bug
- Updated kernel-fix-drivers-pci:
  + fix typo in drv->driver.shutdown setting for PCI drivers that might result
    in not setting drv->driver.owner
- Updated kernel-fix-drivers-scsi:
  + fix qla2xxx initialization problems
- Updated kernel-fix-drivers-usb:
  + updated old_scheme_first patch for 2.6.12
- Updated kernel-fix-net:
  + fix connection tracking on bridges
  + fix socket hashing bugs in netlink
- Updated kernel-fix-security:
  + CAN-2005-1913
- Updated kernel-feat-drivers-input:
  + updated trackpoint support patch:
    - warning: module parameters for trackpoint device configuration are no
      longer available - use sysfs for configuration;
    - support for scroll emulation in the driver was removed - use the
      appropriate Xorg options
- Updated kernel-feat-drivers-lirc, kernel-feat-drivers-sk98lin:
  + fix compilation with 2.6.12
- Updated kernel-feat-drivers-video-splash:
  + updated splash patch for kernel 2.6.12

* Mon Jun 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.11-alt11
- Updated kernel-fix-core:
  + fix get_unmapped_area() sanity tests
  + fix try_to_unmap_cluster() passing out-of-bounds pte to pte_unmap()
- Updated kernel-fix-drivers-char:
  + fix mxser receive problem (#6615)
- Updated kernel-fix-drivers-media:
  + bttv: make video capture work on Leadtek WinFast VC100 XP cards
  + saa7134: add support for remote control as used with Manli MuchTV
    M-TV00[12] boards; add BeholdTV 401 and BeholdTV 403 FM card names to the
    Manli entries (#6917)
  + bttv: fix oops on i2c registration failure
- Updated kernel-fix-fs:
  + ext3: fix possible false assertion failure in log_do_checkpoint()
  + hfs, hfsplus: fix leaks and oops in hfsplus
- Updated kernel-fix-net:
  + bridge: avoid poisoning of the bridge forwarding table by frames that have
    been dropped by filtering
  + netem: avoid infinite loop in qdisc_run() when using duplication
  + fix deadlock with ip_queue and tcp local input path
- Modified configuration:
  + (CONFIG_PREEMPT was already disabled in std26-smp)
  + disabled CONFIG_ACPI_DEBUG (workaround for #6304)
  + enabled CONFIG_LOGO_LINUX_CLUT224 (#6975)
  + enabled CONFIG_LOGO_LINUX_MONO (just in case)
- Moved OSS modules for USB audio devices (audio and usb-midi) to the
  kernel-modules-oss-%%flavour subpackage (the snd-usb-audio module from ALSA
  is preferred).

* Sun May 15 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.11-alt10
- Updated kernel-fix-security:
  + fix user pointer validation in raw and pktcdvd drivers

* Fri May 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.11-alt9
- Updated kernel-fix-acpi:
  + show some ACPI device attributes in sysfs (currently hardware_id,
    compatible_ids, bus_address, unique_id)
- Updated kernel-fix-core:
  + remove bogus BUG() in kernel/exit.c
  + fix driver_detach in case the release handler itself calls
    device_release_driver() for the next device (could cause hangs with some
    USB drivers like cdc-acm which bind to more than one interface)
- Updated kernel-fix-drivers-net:
  + 3c59x: only put the device into D3 when we're actually using WOL (some
    devices have trouble with D3 on warm boot)
- Added kernel-fix-drivers-scsi:
  + aacraid: fix oops on management device open for nonexistent controller
  + fix queue lock allocation for SCSI devices (fixes problems with hot
    unplugging, especially with the CFQ scheduler)
    https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=155472
  +  require CAP_ADMIN for SG_IO to tape drives (sending SCSI commands to the
    drive behind the back of the st driver may cause the device state to be
    inconsistent with the internal driver state and cause problems)
  + enable both old and new megaraid drivers (the new megaraid_mbox driver does
    not support some devices which are supported by the old driver)
  + blacklist some broken SCSI scanners which respond to all LUNs
- Updated kernel-fix-drivers-usb:
  + fix bug in visor driver with throttle/unthrottle causing oopses
- Added kernel-fix-drivers-video:
  + fix bad PCI driver name in intelfb
  + fix oops in intelfb due to __initdata marking of module parameters
- Updated kernel-fix-fs:
  + fix race between ext3 make block reservation and reservation window discard
- Updated kernel-fix-net:
  + ebtables: fix smp race under heavy load
  + rose: verify ndigis in rose_rt_ioctl()
- Removed kernel-feat-drivers-drm (switched from in-kernel DRM drivers to the
  DRM CVS).
- Modified configuration:
  + enabled old megaraid driver in addition to the new one
  + disabled intel-mch-agp (it contains a copy of the intel-agp code for Intel
    82865 and 82875 chips intended for the x86_64 architecture; these chips are
    supported by the intel-agp module on i386)
  + disabled DRM support for buildind external DRM modules from DRI CVS;
    removed corresponding Provides from the package
- Reverted kernel-headers-%%flavour and kernel-headers-modules-%%flavour layout
  modification from 2.6.11-alt7 (causes problems when upgrading old packages).

* Wed May 11 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.11-alt8
- Updated kernel-fix-security:
  + fix ELF core dump issue (CAN-2005-1263)

* Tue May 10 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.11-alt7
- Added kernel-feat-drivers-net-sk98lin:
  + updated sk98lin driver to 8.16 from vendor
- Updated kernel-fix-acpi:
  + call ACPI suspend preparation methods in proper places with respect to PCI
    devices suspend/resume (#6785)
- Updated kernel-fix-core:
  + make rwsems use interrupt disabling spinlocks (fixes deadlock in
    dio_complete())
  + fix syscall table for UML
  + fix SMP crash in security/keys/key.c
- Added kernel-fix-drivers-i2c:
  + fix oops in the eeprom driver
  + fix sysfs permissions in it87 and via686a drivers (could cause oops if
    write is attempted)
  + fix multiple bugs in i2c-ali1563 driver
- Updated kernel-fix-drivers-media:
  + fix freeze on loading bttv in some configurations
- Updated kernel-fix-drivers-net:
  + fix irda-usb "badness" problem and sysfs support
- Updated kernel-fix-drivers-usb:
  + enable "old_scheme_first" and "use_both_schemes" parameters of usbcore by
    default (#6728)
- Updated kernel-fix-fs:
  + fix race in jbd code which could give oopses
- Updated kernel-fix-net:
  + fix deadlock in IPsec when sending ICMP "fragmentation needed" packet
  + fix binary search in the BIC congestion control algorithm
- Modified configuration:
  + enlarged kernel message buffer to 128 KB (#6366)
  + disabled software suspend support (does not work with modular drivers)
  + disabled buggy MTD drivers (#5994)
  + enabled NAPI support in starfire, r8169, ixgb, s2io drivers
  + enabled ISDN4Linux support
  + enabled OSS sound drivers (#6521)
  + disabled HID Boot Protocol drivers (usbkbd, usbmouse)
  + enabled EFI partition table support
- Build OSS sound drivers as a separate module package
  (kernel-modules-oss-%%flavour) (#6521).
- Fixed kernel-headers-%%flavour file list (some headers were missing).
- Fixed passing of config file to the kernel build system.
- Moved kernel-headers-%%flavour files to /usr/src/linux-%version-%flavour,
  leaving a symlink in /usr/include (fixes problems with third-party modules
  which don't like symlinks in the kernel source tree).
- Spec file cleanup, rewritten package descriptions.

* Tue Mar 29 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.11-alt6
- Updated kernel-fix-security:
  + fixed isofs corrupted filesystem handling (CAN-2005-0815)
  + fixed bluetooth range checking bug (CAN-2005-0750)
  + fixed ext2 information leak (CAN-2005-0400)
  + fixed binfmt_elf DoS (CAN-2005-0749)
- Updated kernel-fix-core:
  + fixed tasklist locking bug which caused hangs instead of reboot on SMP
- Updated kernel-fix-drivers-net:
  + fixed missing free_irq in error path in amd8111e and via-rhine drivers
  + fixed check for underflow in the tun driver
  + fixed kernel panic on receive in the hd6457x driver
- Updated kernel-fix-net:
  + fixed deadlock in NetROM
  + fixed crash when reading /proc/net/route
  + fixed bug in IPSEC support (__xfrm_find_acq_byseq)
- Fixed passing config file to the kernel build system (replacing defconfig was
  a broken way which worked before for some unknown reason).
- Removed hack which copied .config back to source.

* Wed Mar 16 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.11-alt5
- Updated kernel-fix-security:
  + fix ppp_async issue (CAN-2005-0384)
  + fix information leak through get_task_comm()

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.11-alt4
- 2.6.11 (really kernel-fix-* packages contain relevant patches from 2.6.11.3).
- Updated kernel-fix-security:
  + epoll: return proper error on overflow condition
- Updated kernel-fix-acpi, kernel-fix-core, kernel-fix-drivers-block,
  kernel-fix-drivers-md, kernel-fix-drivers-sound:
  - removed obsolete patches
- Updated kernel-fix-build:
  + fix "make htmldocs" failure
- Updated kernel-fix-drivers-ide:
  + fix no_lba48_dma flag handling in ide-disk (fixes DMA timeouts on old
    ALI15x3 controllers with a large disk)
- Updated kernel-fix-drivers-input:
  + make ACPI detection of i8042 controllers ia64-only (many x86 PCs have
    broken BIOS tables)
- Updated kernel-fix-drivers-net:
  + fix receive descriptor length setting in r8169
  + fix sis900 oops with preempt/SMP
  + fix via-rhine oops on shutdown with old chips without WOL support
- Updated kernel-fix-drivers-pci:
  + fix double free in the pciehp module
- Updated kernel-fix-drivers-usb:
  + fix cdc-acm oopses on disconnect
- Updated kernel-fix-fs:
  + fix stat for device nodes on cramfs
- Updated kernel-fix-net:
  + export tcp_timer_bug_msg for modular ipv6 build
- Updated kernel-feat-drivers-input:
  + updated trackpoint patch
  - removed alps patch (included in 2.6.11)
- Updated kernel-feat-drivers-video-splash:
  + new bootsplash patch for 2.6.11
- Added kernel-fix-drivers-char:
  + fix bug in drm setversion ioctl which could crash the X server
  + fix chip type for Radeon Yi ES1000 RN50
- Added kernel-fix-drivers-media:
  + fix saa7110 oops on modprobe
  + fix i2c message flags in video drivers
- Added kernel-feat-drivers-drm:
  + add VIA Unichrome driver (version 2.3.3)
- Removed kernel-fix-drivers-atm, kernel-fix-drivers-i2c,
  kernel-fix-drivers-serial, kernel-fix-drivers-parport (obsolete for 2.6.11).
- Modified configuration:
  + enabled all DRM modules (DRM sources from xorg-x11 6.8.2 no longer compile
    with kernel 2.6.11, but modules shipped with the kernel are new enough)
- Added Provides: kernel-modules-drm-%%flavour for compatibility.

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.10-alt3
- Build with gcc-3.4.
- Added kernel-fix-drivers-atm, kernel-fix-drivers-block,
  kernel-fix-drivers-i2c, kernel-fix-drivers-input, kernel-fix-drivers-md,
  kernel-fix-drivers-pci, kernel-fix-drivers-serial; updated kernel-fix-acpi,
  kernel-fix-core, kernel-fix-drivers-char, kernel-fix-drivers-ide,
  kernel-fix-drivers-scsi, kernel-fix-drivers-sound, kernel-fix-drivers-usb:
    + sync with 2.6.10-as3 patchset
- Modified configuration:
  + moved IDE support to modules
  + moved ext2 filesystem support to modules
  + disabled ALSA drivers (in-kernel version is too old, use separate
    kernel-modules-alsa-* packages which are updated)
- Changed /lib/modules/%%version-%%flavour-%%krelease/build symlink to point to
  %%_usrsrc/linux-%%version-%%flavour/ and moved it to the
  kernel-headers-modules-%%flavour subpackage.
- Added version to Provides: kernel-headers (#5872).
- Updated kernel-fix-drivers-ide:
  + added patch to fix endless partition rescan on PCMCIA flash (#5853).

* Sat Jan 08 2005 Sergey Vlasov <vsu@altlinux.ru> 2.6.10-alt2
- Removed broken symlink /lib/modules/%%version-%%flavour-%%krelease/source.
- Updated kernel-fix-security:
  + fix uselib() issue (CAN-2004-1235)
  + fix expand_stack issue (CAN-2005-0001)
  + fix integer signedness issues in moxa, random, scsi drivers
  + fix RLIMIT_MEMLOCK enforcement

* Wed Dec 29 2004 Sergey Vlasov <vsu@altlinux.ru> 2.6.10-alt1
- 2.6.10
- Added ccache support (was lost because of CC=gcc3.3 in the kernel
  makefile).
- Updated kernel-fix-build, kernel-fix-drivers-net, kernel-fix-net,
  kernel-feat-drivers-pktcdvd:
  - removed obsolete patches
- Updated kernel-fix-drivers-parport:
  + fixed parport_pc module parameters
- Updated kernel-feat-drivers-video-splash:
  + new bootsplash patch for 2.6.10
- Updated kernel-feat-net-ppp-mppe:
  + updated patch to version 1.2 (fixes CryptoAPI-related bug)
- Added kernel-fix-drivers-ieee1394:
  + remove broken MODULE_ALIAS_CHARDEV entries from ieee1394 modules (#3873)
- Removed kernel-fix-drivers-serial (obsolete).
- Modified configuration:
  + CONFIG_EDD is not set (causes boot problems, #5511)
  + CONFIG_APM_IGNORE_USER_SUSPEND is not set (apparently this option was set
    accidentally a long time ago and then forgotten)
  + CONFIG_GEN_RTC is not set (conflicts with the real RTC support)
  + CONFIG_FB_RADEON_OLD is not set (conflicts with the new radeonfb driver)
  + CONFIG_USB_DYNAMIC_MINORS is not set (#5484)
  + lots of new drivers enabled (too many to list here)

* Thu Oct 28 2004 Anton Farygin <rider@altlinux.ru> 2.6.9-alt11
- fixed iptables
- fixed kernel-headers for using with userspace programms (#5409)
- added kernel-feat-evms-nodm patch
- ppp fixed: terminate connection on hangup

* Wed Oct 20 2004 Anton Farygin <rider@altlinux.ru> 2.6.9-alt10
- new version

* Wed Aug 18 2004 Sergey Vlasov <vsu@altlinux.ru> 2.6.8-alt9
- Added missing scripts/gcc-version.sh to kernel-headers-modules.
- Removed libkconfig.so shared library to avoid extra dependencies in packages.

* Mon Aug 16 2004 Anton Farygin <rider@altlinux.ru> 2.6.8-alt8
- 2.6.8
- added patch for fix typo in nfs code (2.6.8.1)
- updated acpi subsystem to last stable release (20040717)
- updated bootsplash

* Thu Aug 05 2004 Anton Farygin <rider@altlinux.ru> 2.6.7-alt8
- Updated kernel-fix-security:
    + fix ppos races (CAN-2004-0415)

* Thu Jun 17 2004 Anton Farygin <rider@altlinux.ru> 2.6.7-alt7
- 2.6.7
- updated bootsplash patch
- added kernel-fix-drivers-net:
  + 2.6_50_eql-check-null.patch: add NULL checks to the eql driver
  + 2.6_51_airo-proc-fix.patch: fix airo /proc write breakage
- added kernel-fix-drivers-usb:
  + 2.6_51_phidgetservo-fixes.patch: fix use of freed memory in PhidgetServo
    driver
  + 2.6_52_storage-jumpshot-fix.patch: fix size reporting in the Lexar Jumpshot
    CF driver; avoid "unneeded entry" message with some devices
- added kernel-fix-drivers-scsi:
  + 2.6_50_sata_sil-mod15write.patch: fix Seagate+SiI3112 mod15write bug
    workaround broken by the LBA48 optimizations

* Tue Jun 15 2004 Anton Farygin <rider@altlinux.ru> 2.6.6-alt6
- kernel-fix-security added:
  + 2.6_50_fpu-exception.patch: fix FPU exception handling DoS

* Fri May 21 2004 Anton Farygin <rider@altlinux.ru> 2.6.6-alt5
- updated to last kernel-fix-ide and kernel-fix-fs patches:
  + 2.6_55_reiserfs-i_size-race.patch: fix reiserfs inode size update race
    which could lead to file corruption
  + 2.6_52_no-suspend-on-reboot.patch: replaced with better fix (flush drive
    cache on reboot)
  + 2.6_51_dquot_release-oops.patch: fix dquot_release oops with quota_v1
  + 2.6_52_quota-recursion.patch: fixes quota recursion into filesystem
  + 2.6_53_quota-recursion-fix.patch: fix the recursion fix
  + 2.6_54_quota-v2-corruption.diff: fix possible quota_v2 files corruption
    when root did not have any inodes&space allocated
- added kernel-feat-pktcdvd

* Mon May 17 2004 Anton Farygin <rider@altlinux.ru> 2.6.6-alt4
- config tuning:
    CONFIG_BLK_DEV_ATIIXP=y
    CONFIG_IP_NF_MATCH_IPRANGE=m
    CONFIG_IP_NF_MATCH_PHYSDEV=m
    * disabled debug on i2c
    * enabled ebtables
    * disabled CONFIG_FONT_MINI_4x6
    * moved CONFIG_X86_MCE_NONFATAL to modules
    * disabled CONFIG_IDEDMA_IVB
- added kernel-fix-drivers-ide (Sergey Vlasov) with:
  + 2.6_50_wcache-fixes.patch: fix write cache handling problems:
    + fix drive->wcache setting
    + send CACHE FLUSH (EXT) only if the drive claims to support it
    + fix for Maxtor disks falsely claiming CACHE FLUSH EXT support
  + 2.6_51_system_state.patch: differentiate between halt/poweroff/reboot
  + 2.6_52_no-suspend-on-reboot.patch: avoid drive spindown on reboot
    
* Tue May 11 2004 Anton Farygin <rider@altlinux.ru> 2.6.6-alt3
- 2.6.6
- fixed depends (kernel-headers-modules)
- added kernel-fix-acpi with:
    fixes IRQ12 sharing
- Added kernel-feat-drivers-console-unicode by Ivan Zakharyaschev <imz@altlinux.ru>:
  fixes the imperfectness of Linux VT/console Unicode support 
  (involves a change of the kernel interface used by loadkeys, 
  but mainly is compatible with old loadkeys).

* Mon Apr 05 2004 Anton Farygin <rider@altlinux.ru> 2.6.5-alt1
- update to 2.6.5
- updated patches and config from std26-up-2.6.5-alt1 kernel

* Thu Mar 22 2004 Anton Farygin <rider@altlinux.ru> 2.6.4-alt4
- first build for Sisyphus, based on kernel-image-std26-up with changes:
    enabled CONFIG_HIGHMEM64G
    enabled CONFIG_X86_SMP (CONFIG_NR_CPUS=8)
    enabled CONFIG_X86_HT
    enabled CONFIG_IRQBALANCE
    enabled CONFIG_MPENTIUM4
    
